GNU bug report logs - #32032
26.1; MobaXterm X server + double buffering causes blank window

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: gnu_lists@HIDDEN; dated Mon, 2 Jul 2018 05:38:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 21 Jul 2018 11:25:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 21 07:25:31 2018
Received: from localhost ([127.0.0.1]:50261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fgq0x-0006t7-Dy
	for submit <at> debbugs.gnu.org; Sat, 21 Jul 2018 07:25:31 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:40903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1fgq0v-0006sz-MO
 for 32032 <at> debbugs.gnu.org; Sat, 21 Jul 2018 07:25:30 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 728A2250;
 Sat, 21 Jul 2018 07:25:28 -0400 (EDT)
Received: from web6 ([10.202.2.216])
 by compute3.internal (MEProxy); Sat, 21 Jul 2018 07:25:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=Wf0EY9RS8QfrDuE67zMS4Du6cdaYK
 M7WC9jLjVvT1dI=; b=rb72afz7TGNuSZaTo/O3huWb1scAljc+E7ZRo9Bavj+aq
 cUEazOpuJRi5Cla77aVZBC+cUJBC1Rg+gXtsTZia4shPA76FSkHqnMdq4Vk5jxpO
 77tnhXx+JUC9WwEM0LXie9rnf8O/QnNgBTf702RGuZBaewyCSzjX0vT0WZ2a489C
 O4cG7VRmPv0pZaomb/PTqqqePbia6Iv5VYP9wmLs2+h9A60pMtWlAsn0r/1Ltcmx
 Ke1jpK8y+UffZeYodIGQDYUrz5Mtj2T6TMEG0T8w8IetCtTykKjOoGFqA8oz1k8v
 x0qw47w69lhL/vsJrHbKyEZUrVHEd7HfsP+8jeclg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=Wf0EY9
 RS8QfrDuE67zMS4Du6cdaYKM7WC9jLjVvT1dI=; b=SCCZwzod/VaACs/7L3aCz1
 ykOZxTTlgkR5WPyk2iEaBCZn2cjZIcO59nLF0tLOcbhWQ/wMEGP0qGvRxobKN+3S
 sgACjbkwpD/5R+9ZZIy2z1sj7Woml88Cw2j3DQ+4Z+h7+xgrNtGR3aB8Hpz/InDY
 L1QYAFYeYlsFSmwk1zrg6dOw57smkf6OqTFkRyI2SaI066omZLAQR5sqps9vQAlD
 vQNluMiHJjp8UFmpNTULkHNZvC/xdg0OQUsTx2EbxpYmZVw0qVrKzPQrGLl3zCHj
 nrIJk82ne6CwQYmHGTRclTCVrnyNVrXOMklAsVr7aGX/t86PU82WLYDoeAmKNYjg
 ==
X-ME-Proxy: <xmx:JxhTW5yMYZJ89AymvU58XV76a8hOlH2aOjDlbC5ptH0JbOUqjoc98A>
 <xmx:JxhTW5f89RPCwsGd6nWsyt-dLajJc_fa5aJrpTNJVg2BXF9IdyAzXQ>
 <xmx:JxhTW1J_unXrIW6KdNL4qYGzpWnaCDEhxCQgsa0v-DV-0MP4y4bkgQ>
 <xmx:JxhTW6FfKhQgEi7KOEc3OyF5xOBRnIj8UgtYrM8_rE0yKnhNfd3Y_g>
 <xmx:JxhTW_pI-QtytZorJBeMv0sPJe6k49TC6w-Z0T4Yv6PtLQrSRy4lyA>
 <xmx:KBhTW3kYPpNJ9t768YKvuXHaLDGzpgATfa7udenMY3G-kRNRFBKJrQ>
X-ME-Sender: <xms:JxhTW0fpEPdhc6XILCfpz7_v2kI6WhWMFdIfQ1O7B4EcmE8wr22Xog>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 462DE412A; Sat, 21 Jul 2018 07:25:27 -0400 (EDT)
Message-Id: <1532172327.4151523.1448176088.290E94AD@HIDDEN>
From: leo <gnu_lists@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Noam Postavsky <npostavs@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/alternative; boundary="_----------=_153217232741515230"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-0843ff3e
In-Reply-To: <834lgszwto.fsf@HIDDEN>
Date: Sat, 21 Jul 2018 21:25:27 +1000
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN> <87zhz48qxl.fsf@HIDDEN>
 <83h8lclcf5.fsf@HIDDEN> <87efg59xuo.fsf@HIDDEN>
 <83k1pq1d1i.fsf@HIDDEN> <8736we6phh.fsf@HIDDEN>
 <834lgszwto.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--_----------=_153217232741515230
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"




On Sat, 21 Jul 2018, at 8:50 PM, Eli Zaretskii wrote:
> > From: Noam Postavsky <npostavs@HIDDEN>
> > Cc: rpluim@HIDDEN,  gnu_lists@HIDDEN,
> > 32032 <at> debbugs.gnu.org> > Date: Fri, 20 Jul 2018 08:50:02 -0400
> >
> > Eli Zaretskii <eliz@HIDDEN> writes:
> > >> >
> > >> > It does, but I'm hesitant to add new features to emacs-26, and
> > >> > I still> > >> > hope those bugs will get fixed at some point, so we will have
> > >> > no> > >> > urgent need for this option.
> > >> >
> > >> > What do others think--is it urgent to get this option into
> > >> > Emacs 26.2?> > >>
> > >> I'm not sure why it's so important to disable this at configure
> > >> time,> > >> but I wouldn't count on the urgency being relieved by getting the
> > >> bug> > >> fixed any time soon since it only seems to happen on more
> > >> exotic X> > >> servers.
> > >
> > > So you tend to have this on the release branch?
> >
> > Yeah, since it's to avoid a bug in a new feature.
>
> OK, let's get this into emacs-26, then.
>
> Thanks.

Cool! If there's anythingfor me to add in, let me know.

Leo

--_----------=_153217232741515230
Content-Transfer-Encoding: 7bit
Content-Type: text/html; charset="utf-8"

<!DOCTYPE html>
<html>
<head>
<title></title>
<style type="text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style>
</head>
<body><div style="font-family:Arial;"><br></div>
<div style="font-family:Arial;"><br></div>
<div style="font-family:Arial;"><br></div>
<div style="font-family:Arial;">On Sat, 21 Jul 2018, at 8:50 PM, Eli Zaretskii wrote:<br></div>
<div style="font-family:Arial;">&gt; &gt; From: Noam Postavsky &lt;npostavs@HIDDEN&gt;<br></div>
<div style="font-family:Arial;">&gt; &gt; Cc: rpluim@HIDDEN,&nbsp; gnu_lists@HIDDEN,&nbsp; 32032 <at> debbugs.gnu.org<br></div>
<div style="font-family:Arial;">&gt; &gt; Date: Fri, 20 Jul 2018 08:50:02 -0400<br></div>
<div style="font-family:Arial;">&gt; &gt;<br></div>
<div style="font-family:Arial;">&gt; &gt; Eli Zaretskii &lt;eliz@HIDDEN&gt; writes:<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; &gt;<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; &gt; It does, but I'm hesitant to add new features to emacs-26, and I still<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; &gt; hope those bugs will get fixed at some point, so we will have no<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; &gt; urgent need for this option.<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; &gt;<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; &gt; What do others think--is it urgent to get this option into Emacs 26.2?<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt;<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; I'm not sure why it's so important to disable this at configure time,<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; but I wouldn't count on the urgency being relieved by getting the bug<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; fixed any time soon since it only seems to happen on more exotic X<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;&gt; servers.<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt;<br></div>
<div style="font-family:Arial;">&gt; &gt; &gt; So you tend to have this on the release branch?<br></div>
<div style="font-family:Arial;">&gt; &gt;<br></div>
<div style="font-family:Arial;">&gt; &gt; Yeah, since it's to avoid a bug in a new feature.<br></div>
<div style="font-family:Arial;">&gt;<br></div>
<div style="font-family:Arial;">&gt; OK, let's get this into emacs-26, then.<br></div>
<div style="font-family:Arial;">&gt;<br></div>
<div style="font-family:Arial;">&gt; Thanks.<br></div>
<div style="font-family:Arial;"><br></div>
<div style="font-family:Arial;">Cool! If there's anythingfor me to add in, let me know.<br></div>
<div style="font-family:Arial;"><br></div>
<div style="font-family:Arial;">Leo</div>
</body>
</html>

--_----------=_153217232741515230--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 21 Jul 2018 10:51:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 21 06:51:10 2018
Received: from localhost ([127.0.0.1]:50253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fgpTi-00065d-Ln
	for submit <at> debbugs.gnu.org; Sat, 21 Jul 2018 06:51:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fgpTh-00065O-2c
 for 32032 <at> debbugs.gnu.org; Sat, 21 Jul 2018 06:51:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fgpTX-00063y-2P
 for 32032 <at> debbugs.gnu.org; Sat, 21 Jul 2018 06:51:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56444)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fgpTW-00063r-U4; Sat, 21 Jul 2018 06:50:58 -0400
Received: from [176.228.60.248] (port=3235 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fgpTV-0003y7-OV; Sat, 21 Jul 2018 06:50:58 -0400
Date: Sat, 21 Jul 2018 13:50:59 +0300
Message-Id: <834lgszwto.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <8736we6phh.fsf@HIDDEN> (message from Noam Postavsky on Fri,
 20 Jul 2018 08:50:02 -0400)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN> <87zhz48qxl.fsf@HIDDEN>
 <83h8lclcf5.fsf@HIDDEN> <87efg59xuo.fsf@HIDDEN>
 <83k1pq1d1i.fsf@HIDDEN> <8736we6phh.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Noam Postavsky <npostavs@HIDDEN>
> Cc: rpluim@HIDDEN,  gnu_lists@HIDDEN,  32032 <at> debbugs.gnu.org
> Date: Fri, 20 Jul 2018 08:50:02 -0400
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> >> >
> >> > It does, but I'm hesitant to add new features to emacs-26, and I still
> >> > hope those bugs will get fixed at some point, so we will have no
> >> > urgent need for this option.
> >> >
> >> > What do others think--is it urgent to get this option into Emacs 26.2?
> >> 
> >> I'm not sure why it's so important to disable this at configure time,
> >> but I wouldn't count on the urgency being relieved by getting the bug
> >> fixed any time soon since it only seems to happen on more exotic X
> >> servers.
> >
> > So you tend to have this on the release branch?
> 
> Yeah, since it's to avoid a bug in a new feature.

OK, let's get this into emacs-26, then.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 20 Jul 2018 12:50:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 20 08:50:12 2018
Received: from localhost ([127.0.0.1]:48934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fgUrM-0000qo-J7
	for submit <at> debbugs.gnu.org; Fri, 20 Jul 2018 08:50:12 -0400
Received: from mail-it0-f50.google.com ([209.85.214.50]:51908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1fgUrK-0000qW-Ks
 for 32032 <at> debbugs.gnu.org; Fri, 20 Jul 2018 08:50:10 -0400
Received: by mail-it0-f50.google.com with SMTP id h2-v6so14525272itj.1
 for <32032 <at> debbugs.gnu.org>; Fri, 20 Jul 2018 05:50:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=E+bsq7k/IMHc2NmUucqmLnWO0qX+cxS9UswDp/pu2UA=;
 b=mYWwvbc7d8F/5+hhzEl3hQUIUupnSo5Uji7bip6wULtQYUZpZ8XBJFyH8A4FtaqP/8
 9W5h+Szl0o4q2wAXcsuZjy6yXJcsop43SV1ty3JWhaBOiip6py5+hEy/RLbsqDiTymXH
 uIE7QBwHOOl0NiMOwEb0sP0ug6d0cbaxsnFT6T45+nNW4yfVQY1cr7s8yfgZ/w6TbeUP
 1FBD0YCFjYOhpVzGZnkzedoGxCBnfW+7JWWNTs+qzbbiPj2w0kKLUx7eKze4cbF+LQuQ
 8P3EFAkRpucHtoXuRrPZSjsWn9ajFp0YBCpROFevKIT2Th7q1LU1SJTtyHbcFQRDhK4+
 e4xg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=E+bsq7k/IMHc2NmUucqmLnWO0qX+cxS9UswDp/pu2UA=;
 b=AeMyCfmMoOFmO3bKQskKcr0ZAmJ/sxgB2BAM/eRqo3wQZEOwbJ+qNvlIURMUYNJbi/
 DrqwNJ29+wC+TxMfh0Zcj4Mlzb8s/8ptn/EHiC8kOHrZN6u34SryLMLb4jswPNWEbVcq
 fnm6GZ9O6XRzt4qRVi4OMpK0yC4w5Humzaov4gI5YOSNU/4GMvvV4oXRNFgcotqITR7Q
 hvfFLf7/T3WaIXGKgpLe6eKMQDDwE3fSiIJAdUvOfb2KdaWxZj0M8XRgku4a9yVB6ZE8
 4e2DIhUp7AvDkMu7F6OKcapIxoIiMW1fbatdB+MQ+7Tp3sJy3HKum1rnCQ6V4Rlg/pLt
 9qXg==
X-Gm-Message-State: AOUpUlEEYbUn03nwDykAFpAJLE2PYS0ekGVjieZZkvvai9xqGv/9c12R
 gM6vX4MuGczBj0pHRSc4NA73QqjZ
X-Google-Smtp-Source: AAOMgpdY1gfrqf9qGeADzqztyywlCBtq5m8lne1kixIfIvBciH3suJ1OMb6N/4cjO7aZVXbJ1kx9Cg==
X-Received: by 2002:a24:1155:: with SMTP id 82-v6mr1636802itf.59.1532091004766; 
 Fri, 20 Jul 2018 05:50:04 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 j11-v6sm910895itj.6.2018.07.20.05.50.03
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 20 Jul 2018 05:50:03 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN> <87zhz48qxl.fsf@HIDDEN>
 <83h8lclcf5.fsf@HIDDEN> <87efg59xuo.fsf@HIDDEN>
 <83k1pq1d1i.fsf@HIDDEN>
Date: Fri, 20 Jul 2018 08:50:02 -0400
In-Reply-To: <83k1pq1d1i.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 20 Jul
 2018 12:17:45 +0300")
Message-ID: <8736we6phh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:
>> >
>> > It does, but I'm hesitant to add new features to emacs-26, and I still
>> > hope those bugs will get fixed at some point, so we will have no
>> > urgent need for this option.
>> >
>> > What do others think--is it urgent to get this option into Emacs 26.2?
>> 
>> I'm not sure why it's so important to disable this at configure time,
>> but I wouldn't count on the urgency being relieved by getting the bug
>> fixed any time soon since it only seems to happen on more exotic X
>> servers.
>
> So you tend to have this on the release branch?

Yeah, since it's to avoid a bug in a new feature.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 20 Jul 2018 09:17:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 20 05:17:57 2018
Received: from localhost ([127.0.0.1]:48812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fgRXx-0008Bs-1h
	for submit <at> debbugs.gnu.org; Fri, 20 Jul 2018 05:17:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fgRXv-00088N-HB
 for 32032 <at> debbugs.gnu.org; Fri, 20 Jul 2018 05:17:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fgRXl-0005Rd-Hf
 for 32032 <at> debbugs.gnu.org; Fri, 20 Jul 2018 05:17:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45098)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fgRXl-0005RY-Ct; Fri, 20 Jul 2018 05:17:45 -0400
Received: from [176.228.60.248] (port=3492 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fgRXk-0006Zh-Or; Fri, 20 Jul 2018 05:17:45 -0400
Date: Fri, 20 Jul 2018 12:17:45 +0300
Message-Id: <83k1pq1d1i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <87efg59xuo.fsf@HIDDEN> (message from Noam Postavsky on Sat,
 14 Jul 2018 19:55:11 -0400)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN> <87zhz48qxl.fsf@HIDDEN>
 <83h8lclcf5.fsf@HIDDEN> <87efg59xuo.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Noam Postavsky <npostavs@HIDDEN>
> Cc: Robert Pluim <rpluim@HIDDEN>,  gnu_lists@HIDDEN,  32032 <at> debbugs.gnu.org
> Date: Sat, 14 Jul 2018 19:55:11 -0400
> 
> retitle 32032 26.1; MobaXterm X server + double buffering causes blank window
> quit
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> >
> > It does, but I'm hesitant to add new features to emacs-26, and I still
> > hope those bugs will get fixed at some point, so we will have no
> > urgent need for this option.
> >
> > What do others think--is it urgent to get this option into Emacs 26.2?
> 
> I'm not sure why it's so important to disable this at configure time,
> but I wouldn't count on the urgency being relieved by getting the bug
> fixed any time soon since it only seems to happen on more exotic X
> servers.

So you tend to have this on the release branch?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 15 Jul 2018 16:18:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 15 12:18:30 2018
Received: from localhost ([127.0.0.1]:41978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fejjB-00016q-TZ
	for submit <at> debbugs.gnu.org; Sun, 15 Jul 2018 12:18:30 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:43963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fejjA-00016c-33
 for 32032 <at> debbugs.gnu.org; Sun, 15 Jul 2018 12:18:28 -0400
Received: by mail-wr1-f41.google.com with SMTP id b15-v6so29564666wrv.10
 for <32032 <at> debbugs.gnu.org>; Sun, 15 Jul 2018 09:18:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=JV5vyy0H+6pCkSbSpqPeFHLolndo8sGRi8mODkdKBoo=;
 b=N4IlRmlZakrcqm663usSbKVTIcx81YhQuN+XT3e691cdr/6wGlInQk3AFIlHfEk5Gv
 BiZqlTSLexQQN/QzvDKtHz3U9x6u4lo7mLhCyg5R9Gi3NOAsbssDWN7SO802FjHlqppn
 JH9IjWFc7Ji1cK6DPOjTypw5iE/9AZ8MGP3VqXY/UnP0eUBG70cBco7FRyl7NvOXA1JC
 xWd7aA344Dn962nl9t+1KJzdrCH5GC+lhob8YNhG4pXeMW7WWD00aOrsn1f5CjTOwSma
 R0qYpYJM1YkoOENr37Vvgmw4KK0gPGE55h7FFkNXVJNQVzzmv687m/KcJjP3K5WV3U2d
 hFiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=JV5vyy0H+6pCkSbSpqPeFHLolndo8sGRi8mODkdKBoo=;
 b=pG2+goDMmeUHaO/qhJjfyRffBIHgHC2iJm15CNKhMXocTfZ8cU1S1OaeYHchK1sulF
 m9DCUYFrH0RwVV4aud1gNFGl7Gjht/LylB3Xj1LxkiBtvItlhYe67oeB3RrY/x8RHLIy
 ylNa5rQn+UAZv1ZjJUMYJ+ZNO/fy0MkeuBe2OUsRFBclAwNZ4dMBJhN/RjHx3G/68QGl
 MVAZKhBgCF0COwLEWPqg0oF2DAnQcSBwqvaP+bhtuxd5w9cBY8N1JCPgzJrl/2WHLLTb
 iJJAyPB80Qv0OMHzm6AM4t202CxbamDMxzNRf1/aoMxecrp7Idv+etC7D3JAA9nb8o0P
 zCXA==
X-Gm-Message-State: AOUpUlEWcylPPx97wkx2T8j8gRiaXe5QkktkpfD8vlfThNLwR69CmXji
 dJVNko7O0lq3bfcuqVlOMTAr6LCx
X-Google-Smtp-Source: AAOMgpdJU2ZfOeCV97Y0hDH/gYB8c2N8RGlXzRYbHmb77GiX8p8QKVcZScfz5Ym2xvCzi19HMhd2KA==
X-Received: by 2002:a5d:4147:: with SMTP id
 c7-v6mr10031786wrq.61.1531654527765; 
 Sun, 15 Jul 2018 04:35:27 -0700 (PDT)
Received: from rpluim (vav06-1-78-207-202-134.fbx.proxad.net. [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id 131-v6sm17950848wmm.31.2018.07.15.04.35.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 15 Jul 2018 04:35:26 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN> <87zhz48qxl.fsf@HIDDEN>
 <83h8lclcf5.fsf@HIDDEN> <87efg59xuo.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Sun, 15 Jul 2018 13:35:24 +0200
In-Reply-To: <87efg59xuo.fsf@HIDDEN> (Noam Postavsky's message of "Sat, 14
 Jul 2018 19:55:11 -0400")
Message-ID: <87sh4k4tqb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: Eli Zaretskii <eliz@HIDDEN>, gnu_lists@HIDDEN,
 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> retitle 32032 26.1; MobaXterm X server + double buffering causes blank wi=
ndow
> quit
>
> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>> It does, but I'm hesitant to add new features to emacs-26, and I still
>> hope those bugs will get fixed at some point, so we will have no
>> urgent need for this option.
>>
>> What do others think--is it urgent to get this option into Emacs 26.2?
>
> I'm not sure why it's so important to disable this at configure time,
> but I wouldn't count on the urgency being relieved by getting the bug
> fixed any time soon since it only seems to happen on more exotic X
> servers.

I can understand that some people want to build an emacs that=CA=BCs
maximally likely to work with all X servers, hence they want to be
able to disable possible problematic features like double-buffering at
compile time. That doesn=CA=BCt make it urgent, but it=CA=BCs a pretty smal=
l and
harmless change (famous last words).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.
Changed bug title to '26.1; MobaXterm X server + double buffering causes blank window' from '26.1; Emacs 26 opens under X with blank window' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 14 Jul 2018 23:55:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 14 19:55:23 2018
Received: from localhost ([127.0.0.1]:60353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1feUNn-0002jR-17
	for submit <at> debbugs.gnu.org; Sat, 14 Jul 2018 19:55:23 -0400
Received: from mail-it0-f54.google.com ([209.85.214.54]:40204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1feUNk-0002j8-C7; Sat, 14 Jul 2018 19:55:20 -0400
Received: by mail-it0-f54.google.com with SMTP id 188-v6so16293814ita.5;
 Sat, 14 Jul 2018 16:55:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=oJPpUWCzWNcvbtEG5HjfDrDYFd9pIFGqSthRKj1O0gc=;
 b=ouIYEVftKABpbnuedoYdwvDrma8qi/vzM5QOzjrI+FiXdw3fAS25hg1rMVS5f8Bp98
 9DLDQulkXc20WzYaGbKRBgGDsQeepUtYB+h5mjwPzDprYK3g+S4pOFQE5Wd7LBiBUbgw
 Pmtuwrkm03cvdDgxVUKBzdu/SNnn9APOHAkqFKoLxGSlZzVM+pN90giFm7qu2A0euj+i
 //MzOCegaPxgDIMLbGGHe/7vVQ8t/ad9VwyQl8RYhgupziRxtoCMtLFCBUnQosnmsOEf
 rycYl2/HpcrA+BXE04oSDb3MlsT7T450LoZma+81g1slDSV37QUoXMQdGXO9yNe+i2SB
 ZSIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=oJPpUWCzWNcvbtEG5HjfDrDYFd9pIFGqSthRKj1O0gc=;
 b=eMKDamtlNOXHnEnhrCvZha9ZzGqcd/WJLbdP2LpUjSv2X5C5fclG3CwbgBzdVqmrT+
 Dmh+GTR1RnrCRhqvwrFUTYFFi4FYSO4luMCxbmVsQ2jysm7xIiU8ratHw9hLzicKcYNy
 Zyptg7lE6efwKuJlRn9sxLK23zjyq4tEQ6GF7UkuKj01qUEI8rzcbOUp9XoqOBKoB+Oq
 p83oR+Z6/80uHgK1VOn1BYogn8x7eikeLSzyOA99RO+cvVZ8guBT+SH8jjgT7LWLXrZB
 RAO5vTPWcwlfZ1O0iy0+ZiIbPYXtVJrQYJkyXZlO0wx0h5+XiNClIZ63Oloxu0+Yxnmn
 8BdA==
X-Gm-Message-State: AOUpUlEGPYYnK34fcaxuy12St0PKxWnkRc1cT+aIDHBbHXTlulTsWLQ/
 mPXyKLEnngyZsgNbQEJC8Damig==
X-Google-Smtp-Source: AAOMgpfbpkdNQuz7nodwYhLqOYDtEc2q+Uk0CSZDIjJrjVkoR7qJQ44dSHa8Aa15Ugb0qjrtMcEBwQ==
X-Received: by 2002:a24:7c53:: with SMTP id
 a80-v6mr7861340itd.99.1531612514469; 
 Sat, 14 Jul 2018 16:55:14 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 p21-v6sm7461603iog.70.2018.07.14.16.55.12
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 14 Jul 2018 16:55:13 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN> <87zhz48qxl.fsf@HIDDEN>
 <83h8lclcf5.fsf@HIDDEN>
Date: Sat, 14 Jul 2018 19:55:11 -0400
In-Reply-To: <83h8lclcf5.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 06 Jul
 2018 16:30:06 +0300")
Message-ID: <87efg59xuo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: Robert Pluim <rpluim@HIDDEN>, gnu_lists@HIDDEN,
 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

retitle 32032 26.1; MobaXterm X server + double buffering causes blank window
quit

Eli Zaretskii <eliz@HIDDEN> writes:
>
> It does, but I'm hesitant to add new features to emacs-26, and I still
> hope those bugs will get fixed at some point, so we will have no
> urgent need for this option.
>
> What do others think--is it urgent to get this option into Emacs 26.2?

I'm not sure why it's so important to disable this at configure time,
but I wouldn't count on the urgency being relieved by getting the bug
fixed any time soon since it only seems to happen on more exotic X
servers.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 8 Jul 2018 23:30:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 08 19:30:38 2018
Received: from localhost ([127.0.0.1]:51547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fcJ8Y-0007mY-Kh
	for submit <at> debbugs.gnu.org; Sun, 08 Jul 2018 19:30:38 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:38127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1fcJ8V-0007mO-11
 for 32032 <at> debbugs.gnu.org; Sun, 08 Jul 2018 19:30:36 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id A305521B55;
 Sun,  8 Jul 2018 19:30:34 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Sun, 08 Jul 2018 19:30:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=mV/tZTi1G8tEAIenQSRRtVFPTxx4oE2edzImzAidjVM=; b=QvwDVhU6
 4dyl75snFaZKpyK0ncti9ds7YC2BjVqu8r0a+I+jm6VlTfIbMq6NV8T7LJ4cEoHm
 HOXF+mEZ34N2ECX5nxMN4S9dpqoYZKorizQoHH512Bnw2C0AyTGhNJ+txneDTHKt
 nmMP5lWW0B9PlAcRRHbmMxhcY0wVFKSkptj65jhGruHTC83Fb5YF6cVFYr/NsBa/
 AbddNGsiUYbzdIzUd7z9D2En0fP7JhX96tVc8UEi7UvKfmkKJHUUv5YywEpbFhjH
 PrWNDb0N/9eAj1J5bPUZOPHpg1aw71MPUQqmdcJ9/XaKyFINd0iJzVhg1CabcdwM
 xjEwoiTJnAJZBg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=mV/tZTi1G8tEAIenQSRRtVFPTxx4o
 E2edzImzAidjVM=; b=kgT0eBmLvK4iZ7lWgYhBNKoCBV2w6V7CCsoSD6UNCMMwa
 Wa5KuZx0gu/PdBwDLSZ0egNoc5yP5ldMWrvMSD+fvwl6BaD3wdfgn8YUHmzx0rek
 cHQI2t9QqRkfp0/fC+4+diyyKuJBjBMguaJy5P2LIOwjVTpbyL90vs6gIHI/54Ot
 drnuSI+RasOGQqPl5ExICo45kXuk9l1NTD/gHb+pkcahFItYKwOqdHPRWeNJMbOs
 LQlNwSD2Bv/beaj0RFzj+2SdUluN2YOIfEDdJTntqqrZ9SUUtVHJADKvvqgX9lDn
 ARJR+2M4/c6T0+MZXJpLoQZIrjZu8ciKP8pKVVkDA==
X-ME-Proxy: <xmx:mp5CW0QSxcUmYTQEldrVxaHYwUqH5kMV7tP_0bgbaolwrLLwzSQR4Q>
 <xmx:mp5CW7Ni7hjrXizooC8klC4WX0Qpa7SS-iBFjKwdAc1GmeHfICFGeA>
 <xmx:mp5CWyozE9E3VBT666lTausjWQooCa8D9q_cQuJ8tV5psqXSEmjCRA>
 <xmx:mp5CWzXaRzjQXRnzEaYAdskbXuiT8JPferOSc026kOPex4W4LEVrzg>
 <xmx:mp5CW0u0twWcHIvPcRNy_H2UiEgbTabBjjjQHoDiBhjhR6I8J59-IA>
 <xmx:mp5CW-BFk3S1PbQORTpNrRnf8Gvr1klix6biYn6s_sQ0KkhpSDzBxA>
X-ME-Sender: <xms:mp5CWxeQnbyxU7LnqmsChVkB-q8DaMaC_zdU3OuIwtFzqtjkMc1WUw>
Received: from [192.168.0.3] (203-59-52-166.dyn.iinet.net.au [203.59.52.166])
 by mail.messagingengine.com (Postfix) with ESMTPA id E933910260;
 Sun,  8 Jul 2018 19:30:32 -0400 (EDT)
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_01827FA4-EAA7-4404-A309-653BC2D5F0D6"
Mime-Version: 1.0 (Mac OS X Mail 9.3 \(3124\))
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
From: leo <gnu_lists@HIDDEN>
In-Reply-To: <83lgaole7l.fsf@HIDDEN>
Date: Mon, 9 Jul 2018 09:30:29 +1000
Message-Id: <6C4BB1FE-703A-44C6-AB44-BE9AAA3A5F2A@HIDDEN>
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN> <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.3124)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: Robert Pluim <rpluim@HIDDEN>, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--Apple-Mail=_01827FA4-EAA7-4404-A309-653BC2D5F0D6
Content-Disposition: attachment;
	filename*0=0001-.-configure.ac-Build-option-for-Xdbe-double-bufferin.patch.;
	filename*1=zip
Content-Type: application/zip;
	name="0001-.-configure.ac-Build-option-for-Xdbe-double-bufferin.patch.zip"
Content-Transfer-Encoding: base64

UEsDBBQAAAAIAMdK6Ux1cPDKGQMAAPAFAAA/ABwAMDAwMS0uLWNvbmZpZ3VyZS5hYy1CdWlsZC1v
cHRpb24tZm9yLVhkYmUtZG91YmxlLWJ1ZmZlcmluLnBhdGNoVVQJAAOmnEJb/Z1CW3V4CwABBPUB
AAAEFAAAAK1UbW/aMBD+7l9xaycNRpwmLYSXrVMDpYWtpVWhGxKqkJM44DXYKHFG0bb/vnNou9J1
0j4sCop999zLc4/NSaoWUPdYremGUSPggVNr1CKv4THH9eJ63fGaVebtV+tezCM4VxKGfAluHRyn
Vbyw7zguOcE0LZizJFEJV/B+JvNpIjKdHT3Y7Ehpe85EssBfsZFcfyDHTPOWyWtBEz7mCaZzG+A0
W67Xqu5DxXUchwzz4CsPdQsml/6o07uBt2DvhUrGYpan3GZhC9q5SCJQSy2wxVilMI4CDqVI5UHC
IcjjmKdCzghk+XKpUl0mxI8idPxT2GOUTUhHLdepmM01XbIlT1cqvaX8ji+W2N+aZ4RSSuBpc/AD
3AOo3D+UFgAXYoEVwjmTMx5Z0AAhM56aPrJSpWxBDSKe8M2eYreRiGOgdCY0sC3uEGxtiZARvwPP
cw9C7tp21TwNB3CQXrVqunsWT7Cp5zmOjoAeeFXLg4r51AENfmd63D25HhC4uBz1LwZm51+fjaYX
g9JEK5XcCk2zMFVJQgOWZjfWJFLyjYY84yiwFjGY+bLVQQQbGBSw8osJ7wxuK0UR+Te0WGxjXRfG
/XNEV15Co8Z/wP8muamI1P2r0+mX/qhXmkjDzB9Oe92zy+lwdNUfnJYmlK6EnlPjIzAxOQf8Tmca
70ppwcKLIXRUqJiZwOng2tjLsEKl1KootUbLwkZqEoI1Ch+zPNGAR7KItW/KWBJfU2Mqs8MFWyOD
8kamRs2zsP8KLuoWHrQtqXZ3d+HaMCyONU3MtwwoBfuG15AhYwI9/3N3Oj5udw+lIsaneaZh5/X3
jcN1f+7AIezg2d55B3rOJaFgSnR63c4nHIN/3L0qIWwPGXOZmRO7Z+rYc8sgASaP4LN+uzRGmFU0
5OM/Q4j3v83C23Yx9wFbcOtJQ1gTqd9neVzsChkmecThvak6TkRgzz9sfEZxeMqhGJkRHEm8QhZS
PZCoGPw/0iiw/4HIQ54ny5fJ3Hs3dGJB4Dep149ZURXMe0+nwBur6W14iFJje8aK0Xjnyb7dtB1C
fgFQSwECHgMUAAAACADHSulMdXDwyhkDAADwBQAAPwAYAAAAAAABAAAApIEAAAAAMDAwMS0uLWNv
bmZpZ3VyZS5hYy1CdWlsZC1vcHRpb24tZm9yLVhkYmUtZG91YmxlLWJ1ZmZlcmluLnBhdGNoVVQF
AAOmnEJbdXgLAAEE9QEAAAQUAAAAUEsFBgAAAAABAAEAhQAAAJIDAAAAAA==
--Apple-Mail=_01827FA4-EAA7-4404-A309-653BC2D5F0D6
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8


On 6 Jul 2018, at 22:51, Eli Zaretskii <eliz@HIDDEN> wrote:

>=20
>> then builds an Emacs exe which starts up properly on unbuffered X =
servers without any custom `.emacs` file.
>>=20
>> Where do I put the `configure.ac` file and how do I create a pull =
request for it?
>=20
> ...Please make the change in your local clone of the Emacs repository, =
on the master branch, and
> then use "git format-patch" to prepare a patch and post the patch
> here.

Created the patch. I went with =E2=80=9C--without-xdbe" and "double =
buffering" in the help message.

Please find attached the zipped patch file. Let me know whether I=E2=80=99=
ve done it according to protocol.

Leo=

--Apple-Mail=_01827FA4-EAA7-4404-A309-653BC2D5F0D6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 7 Jul 2018 07:18:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 07 03:18:55 2018
Received: from localhost ([127.0.0.1]:49030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbhUd-0001Bs-Kx
	for submit <at> debbugs.gnu.org; Sat, 07 Jul 2018 03:18:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fbhUc-0001Be-Fo
 for 32032 <at> debbugs.gnu.org; Sat, 07 Jul 2018 03:18:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fbhUU-0000C9-2f
 for 32032 <at> debbugs.gnu.org; Sat, 07 Jul 2018 03:18:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49244)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fbhUT-0000C3-V9; Sat, 07 Jul 2018 03:18:46 -0400
Received: from [176.228.60.248] (port=1192 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fbhUT-0003sL-9l; Sat, 07 Jul 2018 03:18:45 -0400
Date: Sat, 07 Jul 2018 10:18:49 +0300
Message-Id: <83tvpbjyxy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: gnu_lists@HIDDEN
In-reply-to: <31A88FC8-561E-4925-A65A-38529737B7D8@HIDDEN>
 (gnu_lists@HIDDEN)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN> <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <878t6oa5pt.fsf@HIDDEN> <83in5slcvc.fsf@HIDDEN>
 <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
 <83bmbklan1.fsf@HIDDEN>
 <31A88FC8-561E-4925-A65A-38529737B7D8@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: gnu_lists@HIDDEN
> Date: Sat, 7 Jul 2018 08:44:00 +1000
> Cc: rpluim@HIDDEN,
>  32032 <at> debbugs.gnu.org
> 
> > > > > Eli, would such a change require copyright assignment?
> > >
> > > What’s this copyright assignment about? A GNU thing?
> >
> > Yes.  I can send you the assignment form, and you can then decide
> > whether you are okay with doing it.
> 
> Yes, please send it through.

Send off-list.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 22:44:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 18:44:04 2018
Received: from localhost ([127.0.0.1]:48897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbZSO-0004Lz-B3
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 18:44:04 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:57215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1fbZSN-0004Lr-2i
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 18:44:03 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id E274A21B62;
 Fri,  6 Jul 2018 18:44:02 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Fri, 06 Jul 2018 18:44:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=4afsvAZRtAwVFgXl12J99i3gGOhuV
 kQ+5+EWOeHs98A=; b=gnNo2se308kL3Zp4WAqPFpWv46XL1LnkEKLs053GHIJsb
 g1moohi8xhpbVyRhmQUf6j2q6VgB1NLGYCAJHAn+wzh1AEQcdnAaBu6S/fQDBIPV
 JsLG24b31UQttSdNQomIzOfp5pFk+9vWHUOTC7vWYRnouMp7cZ3shaHayHnXnmsR
 X4YFEEDQzQ1a/8jw8LEx55gT9GESTfauBPt9dTKJchopNsTZ0EP9+PsHWqChWylf
 YXlT6/hRrwgGoAtdFd04TkE+x+z4IFLGps4+wcepxbnfpX0nebC4CctWrppe8tOj
 Eq1BTCwhDF/SM+3SdekwTAwx7fH21gD5CbjB+2FLQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=4afsvA
 ZRtAwVFgXl12J99i3gGOhuVkQ+5+EWOeHs98A=; b=j7psIbAJJzTDz861aXs5rm
 bV6LefZNP4kqEDITxVNLhlSInpVOTfD9LRwKPR/v/vE4MYFkbuaGuW2VO83htmIs
 navMO3ltsCovRY9Y1yVjT8Yz5cn3zyWxeVc+x5/nnfNhQ8l53g7TuqVOhurQIfu4
 oVZ224aiBsf9FHxDyKE+qBF6DnvRCyBwplcK2r8UGMpxGBUZ58AwtKvEJnEGJKj8
 gIDvpY2A6QzV0tfq/MLM2q14SDYFftGNbFNW8sYzK8lZtb1A6lfnhPvr0iV7hnEg
 uPQDl7dziHhkKCAzVFwEZ3r6dKfb3UEA0CyMT8WDVs1RFPNdeiJqUi0WycFWVOSA
 ==
X-ME-Proxy: <xmx:svA_W6irZcrIkPJJweoXt4i4hMStZxxwV42aMBK8b6dBIRLe7-nfdw>
 <xmx:svA_WzaPwHl75OOVkB6_0_h0vqj0SEnvFBy17ofXwg7s8Cj_yV72hw>
 <xmx:svA_W8XDplLjVFiP63RRjp9QhNvfo3UQRLjA6z1R_xVBwYGG-81cHA>
 <xmx:svA_W31iX2w-hoabz5n5b5rWDkubPKzeyQsJwBOIiBXFwHDd3ojL-w>
 <xmx:svA_W1G8XN5Abpnk9pvfQ5bPR9MNZU96mP2I8AqDzkcweJyEiJa4xw>
 <xmx:svA_W8-o7wND8iEeq7D5jDxdrd-MpOMLgsQhoeRsdx-VDo7uLuk6fg>
X-ME-Sender: <xms:svA_Wzjl2pRKDSon3tTcKOi9OhgBwHvx02yZKHqh5FXx3xWGvhWrhQ>
Received: from [192.168.0.3] (203-59-52-166.dyn.iinet.net.au [203.59.52.166])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6DF7FE4627;
 Fri,  6 Jul 2018 18:44:01 -0400 (EDT)
Content-Type: text/plain; charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 9.3 \(3124\))
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
From: gnu_lists@HIDDEN
In-Reply-To: <83bmbklan1.fsf@HIDDEN>
Date: Sat, 7 Jul 2018 08:44:00 +1000
Content-Transfer-Encoding: quoted-printable
Message-Id: <31A88FC8-561E-4925-A65A-38529737B7D8@HIDDEN>
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN> <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <878t6oa5pt.fsf@HIDDEN> <83in5slcvc.fsf@HIDDEN>
 <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
 <83bmbklan1.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.3124)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > > > Eli, would such a change require copyright assignment?
> >
> > What=E2=80=99s this copyright assignment about? A GNU thing?
>
> Yes.  I can send you the assignment form, and you can then decide
> whether you are okay with doing it.

Yes, please send it through.=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 22:43:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 18:43:52 2018
Received: from localhost ([127.0.0.1]:48891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbZSC-0004Ky-20
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 18:43:52 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:51127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1fbZSA-0004Kr-Ax
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 18:43:50 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 0E8C921ADC;
 Fri,  6 Jul 2018 18:43:50 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Fri, 06 Jul 2018 18:43:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=QYu0QlzJvtOh/2mYR6PqDW5b6/dJ6
 49e/c802k9dBFo=; b=g4/kZx0wwPSp5DE/YWF7kuhQyCroJKeqLvmng8BhVe8mi
 XTEBZGxlQVVpbz9/LC1EKSjfquVSXs6xQuYgK1bv6vhZBs7LNfohhZizj8KNo189
 lE1W4qUD2G5ojnWyjxmywUwHzQMULgL+xIc4wtQaJ1FbjxEefcC1+ydjI1VXAWga
 NeQBaJSaDeqbFCrB/FD+B4a6HlgTsdKXrdnCnOhXhKpEe9JJtjGnbUgimdsahWBn
 KRkAehsb+ai42EhmahxqMQHQTmXGOqtSeQ5rhVo/7z+c/nbYsTiU/rPweDajCjMH
 QwLZs2BWEATzedTL4zI4xc3iOwIbct601jfRykLZg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=QYu0Ql
 zJvtOh/2mYR6PqDW5b6/dJ649e/c802k9dBFo=; b=DBZMeU7C30PM+VvqX2bevY
 ue3Fmyx07OVbxkFbpbarCTrztmTHdxZeInqI3hDwm3j6evL6EHLMoE7zEPl2wZxZ
 IJ9Rl8JxifT23UmRIvV6+yblP7+m8soJBjWE1zVpEDBkLFKd9kj2jaRgS93WJC8h
 GYtPEssExCZU2akSwSUmhmbsVjxoKuTiLD945LUN45ZyCosPy3LTxfk4KyQiHXB7
 BNNhEZduBDyXk/ZJczXdu8RnmZMG/Q1jxq03NpQDDhJTy1OIHiykc4AJjKGuLv4Y
 AWJSzwH63RFJhQJzQrF/c9CvPccz5R48o+kveQoDxyIIsRkIDusQUz3nzzA+PYdQ
 ==
X-ME-Proxy: <xmx:pfA_W9cRab2kkE-PZF6uoF0VX703e4qt7LxvQH9fXrWmnI2hq7hhFQ>
 <xmx:pfA_W64wsJEXY5BIQdk18h2pyo-jnA87cZCPOF6QcZlvpdlrBWeZeQ>
 <xmx:pfA_W8fAxgaXSOVMMnFuLa_n4p7g9xy9HRtJEs8sBlrKKpuuaxRFVQ>
 <xmx:pfA_WxOb7vTgfxDlgokGvkdbt-y1tzY9ns4nD9zLn-5DqUuLO84gzA>
 <xmx:pfA_WwF-RzJgUOMXJKh-9zBjv_8wStTLqTumtrRIpdRlgc6kvNaY_g>
 <xmx:pvA_W62tQMvr5xm4oP43UOhiv4yir_RzmhTwPQ0O1N5cCgeUPz4OMw>
X-ME-Sender: <xms:pfA_W66HevIIDO33pSqiDURpSFi1AXeqO5zMKOFt-nyvQxFUeKHKGw>
Received: from [192.168.0.3] (203-59-52-166.dyn.iinet.net.au [203.59.52.166])
 by mail.messagingengine.com (Postfix) with ESMTPA id 844C4E4040;
 Fri,  6 Jul 2018 18:43:48 -0400 (EDT)
Content-Type: text/plain; charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 9.3 \(3124\))
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
From: gnu_lists@HIDDEN
In-Reply-To: <87r2kg8l9v.fsf@HIDDEN>
Date: Sat, 7 Jul 2018 08:43:44 +1000
Content-Transfer-Encoding: quoted-printable
Message-Id: <2F63C6C5-4209-46A8-9865-DB7D1F28E5A9@HIDDEN>
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN> <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <878t6oa5pt.fsf@HIDDEN> <83in5slcvc.fsf@HIDDEN>
 <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
 <CAM-tV--1Mp7GGrO2oT3sfv9z_00ZRJaUVB_U9LR0-N3w8rR=UQ@HIDDEN>
 <87r2kg8l9v.fsf@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>,
 Noam Postavsky <npostavs@HIDDEN>
X-Mailer: Apple Mail (2.3124)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> >>> > >     ./configure --without-gnutls --without-backbuffer
> >>> > >
> >>> >
> >>> > I=CA=BCd call it --without-xdbe
> >>>
> >>> Or maybe --disable-double-buffering?
> >>
> >> I think sticking with the --without-... pattern makes sense.
> >
> > The ./configure --help output distinguishes between features and =
packages:
> >
> > Optional Features:
> >   --disable-FEATURE       do not include FEATURE (same as =
--enable-FEATURE=3Dno)
> >   --enable-FEATURE[=3DARG]  include FEATURE [ARG=3Dyes]
> >
> > Optional Packages:
> >   --with-PACKAGE[=3DARG]    use PACKAGE [ARG=3Dyes]
> >   --without-PACKAGE       do not use PACKAGE (same as =
--with-PACKAGE=3Dno)
> >
> > I think the double buffering thing is a feature, not a package, so
> > --disable-... fits better.
>
> Is XIM as feature or a package? Because that=CA=BCs under --with (as =
is
> X11).

I=E2=80=99d say if we call it "--without-xdbe" it=E2=80=99s a package, =
if we call it "--disable-double-buffering" it is a feature. %-)

I vote for --without-xdbe; - it is shorter and gives the X11 reference. =
I can include "double-buffering" in the help string.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 14:57:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 10:57:28 2018
Received: from localhost ([127.0.0.1]:48761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbSAq-0001CA-2G
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:57:28 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:39142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fbSAn-0001Bv-L8
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:57:26 -0400
Received: by mail-wr1-f52.google.com with SMTP id h10-v6so4485995wre.6
 for <32032 <at> debbugs.gnu.org>; Fri, 06 Jul 2018 07:57:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=9bJP1WOaSGvsYAmLEiJc5zvTJYv8UjHiCaRRlEyICFc=;
 b=iKxFD/y4bYSquPII9fPIQ6URp+2GT+lWej5XPy4RIahsFf2hdMX4tExcp4XMH3FzPz
 P9z6woS/BzcGZQEvwQNW8VGPiQY/howLNbTrUmACbcARszi5p5ZL0ZIu5VaNvW71CqIZ
 mPDETcWzSGGRaIFpvKf2djkK75tlVZGcw10g90CNObj24RXQFyQv8FNt/rE8G+JJeB4M
 j4LftpniAdLf5PriRlQCOd40lIYc+Qj7qsK5SMFU4x2meV7ljjGSjOqQw+mtg1t/1cii
 UVIaDABelf9sk2TNyhhxwl8Di4L4zhTgzIxlNaOq2wxrMlN47lGSWwVs3qyadPbPRDm1
 Z9Gw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=9bJP1WOaSGvsYAmLEiJc5zvTJYv8UjHiCaRRlEyICFc=;
 b=pGknlSpyEXcS3I5Lk3dVpiBmTy2lnBT9B7MGDRBYfjGD7TVieeOhuzptKfow6vizQ9
 JHkLyLtTcJ+5b5KixezWsUkx+HmAy/hkNirKsq6z9gMUN86EoG7ttISnKqi84YVZeddR
 lVaUa5DMHAm2S3jZqnZ5I+fAnVITbfxMgJfLFA+wzXIdhK2YihwUnSRHLsaNgdg4NzIu
 ruI+NcSaVE8TDPgOWskDsbjKLDgKOXNV9rjfl05offhQ0JehuT2iqJlPV6GyKH3gwf83
 uX9EwecZWfnVFJbU1qbnkBv5tn9974rQK/7mhH8qGMUOoLnWksnhVHXSH1NIklUJfY5e
 ngkQ==
X-Gm-Message-State: APt69E2bSRQd8x0KtjlAu1Th9z+5ezkHmpYRnuZ11ohQXy6GAqb+NCyS
 ZljkUqFmzg2BLoK6tTlir3eHAJ7gQrc=
X-Google-Smtp-Source: AAOMgpe0UDeMwtlWgMqMX6ib0xJ+zuQIpoT42WJ3wsa+2Y2m87fqJMmKPkL5bKV2N9R0rM6wUId1FQ==
X-Received: by 2002:adf:ab14:: with SMTP id
 q20-v6mr7536943wrc.239.1530889039236; 
 Fri, 06 Jul 2018 07:57:19 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id l17-v6sm14623948wrh.45.2018.07.06.07.57.17
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 06 Jul 2018 07:57:18 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <878t6oa5pt.fsf@HIDDEN> <83in5slcvc.fsf@HIDDEN>
 <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
 <CAM-tV--1Mp7GGrO2oT3sfv9z_00ZRJaUVB_U9LR0-N3w8rR=UQ@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 06 Jul 2018 16:57:16 +0200
In-Reply-To: <CAM-tV--1Mp7GGrO2oT3sfv9z_00ZRJaUVB_U9LR0-N3w8rR=UQ@HIDDEN>
 (Noam Postavsky's message of "Fri, 6 Jul 2018 10:07:26 -0400")
Message-ID: <87r2kg8l9v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> On 6 July 2018 at 09:54,  <gnu_lists@HIDDEN> wrote:
>>> > >     ./configure --without-gnutls --without-backbuffer
>>> > >
>>> >
>>> > I=CA=BCd call it --without-xdbe
>>>
>>> Or maybe --disable-double-buffering?
>>
>> I think sticking with the --without-... pattern makes sense.
>
> The ./configure --help output distinguishes between features and packages:
>
> Optional Features:
>   --disable-FEATURE       do not include FEATURE (same as --enable-FEATUR=
E=3Dno)
>   --enable-FEATURE[=3DARG]  include FEATURE [ARG=3Dyes]
>
> Optional Packages:
>   --with-PACKAGE[=3DARG]    use PACKAGE [ARG=3Dyes]
>   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=3Dno)
>
> I think the double buffering thing is a feature, not a package, so
> --disable-... fits better.

Is XIM as feature or a package? Because that=CA=BCs under --with (as is
X11).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 14:08:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 10:08:42 2018
Received: from localhost ([127.0.0.1]:48754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbRPe-00007f-8S
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:08:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fbRPb-00007S-F9
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:08:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fbRPV-00067y-JK
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:08:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60220)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fbRPV-00067f-FT; Fri, 06 Jul 2018 10:08:33 -0400
Received: from [176.228.60.248] (port=1770 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fbRPU-0004WC-RQ; Fri, 06 Jul 2018 10:08:33 -0400
Date: Fri, 06 Jul 2018 17:08:34 +0300
Message-Id: <83bmbklan1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: gnu_lists@HIDDEN
In-reply-to: <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
 (gnu_lists@HIDDEN)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <878t6oa5pt.fsf@HIDDEN> <83in5slcvc.fsf@HIDDEN>
 <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: gnu_lists@HIDDEN
> Cc: 32032 <at> debbugs.gnu.org
> Date: Fri, 06 Jul 2018 23:54:12 +1000
> 
> > > Eli, would such a change require copyright assignment? 
> 
> What’s this copyright assignment about? A GNU thing?

Yes.  I can send you the assignment form, and you can then decide
whether you are okay with doing it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 14:07:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 10:07:34 2018
Received: from localhost ([127.0.0.1]:48750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbROX-00005v-U5
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:07:34 -0400
Received: from mail-oi0-f42.google.com ([209.85.218.42]:35293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1fbROW-00005j-S6
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:07:33 -0400
Received: by mail-oi0-f42.google.com with SMTP id i12-v6so23684300oik.2
 for <32032 <at> debbugs.gnu.org>; Fri, 06 Jul 2018 07:07:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=3zZCbx8W6xKvGOgXRxz8zs+lztu19ky7rkN+ZEp5TZc=;
 b=LZSXWtIc7ycuZTPdXUZ5VnQB2jR9YdNUsra7APQHQG9p2s79pd2l4KkPHZuAewrziu
 fvcI4rGOI5UPdfWMkBP6rD+rr8WqjAJVrSm56Pqq8O5ZsiC+Gj5JJ5ydNEtYX9wUmNLh
 4+B3iF9p0PlMCWzGP5wbdsalW9JEmVE30b/IzUwtHERAliNY94s0VQa0EiWbDkaUKERx
 QZHYH8LTAJMGKV63qYGW34mx5TRWwpQtgMwTuc0HmIGiOTvVXMS9gJMebZk4JJ2h+zuY
 4BlOvQHmWFYLyEqiR9o0Ledh5/dC+84OJHpgMV9nrRckw5Tl39HpJuELiV42UW2h2fpD
 h41w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=3zZCbx8W6xKvGOgXRxz8zs+lztu19ky7rkN+ZEp5TZc=;
 b=aiMEa/qxma4HVTm/sKxAhOHh7oytd6g6+KqI2Vf8JMj6T/Dd44ngg2lb6zgwXOhWSh
 fUYl+trBKpfYA8+NLVHqlr/3DowdfopllrJeleuTo7FHAit6gTVnkSNjMLTTvOOWfW7V
 +l8irZWXC6IxH7oYSF7Ge4rXwzn0OS3h3Gah6w8xRul2cabB4JusvoGR0Hl3zrbo6AyH
 vhB+Bigii2MCuR/grQjpICnGm4esizcFRJYveRBtKT1HtP8XfvfFS4LB++BJW4LcLggB
 HgClrEhw5u/cnhTdDkMhMenx1ql4ZIpIFcikSgxLoRxYgetQ+hTUf9kxuqTSxWhRpitI
 MbMA==
X-Gm-Message-State: APt69E3X/9Mkd09dcVsr6HZrr1rZ/uJyBjQMMCd01LQ3h3COiwBCBNW0
 8pawhl18qfffgwkjRr0lM+TaOvB01LMHnIqrNs4=
X-Google-Smtp-Source: AAOMgpd88RIEc9JLegFqNLD/NM2K+MDqI/jYEkThHmnfCbjkL4LqttBldY3dHymfdZFicBiT+yDlv5eIEQeEhmGi0o8=
X-Received: by 2002:aca:d9c5:: with SMTP id
 q188-v6mr10716668oig.239.1530886047381; 
 Fri, 06 Jul 2018 07:07:27 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a4a:3b8d:0:0:0:0:0 with HTTP;
 Fri, 6 Jul 2018 07:07:26 -0700 (PDT)
In-Reply-To: <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN> <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <878t6oa5pt.fsf@HIDDEN> <83in5slcvc.fsf@HIDDEN>
 <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Fri, 6 Jul 2018 10:07:26 -0400
Message-ID: <CAM-tV--1Mp7GGrO2oT3sfv9z_00ZRJaUVB_U9LR0-N3w8rR=UQ@HIDDEN>
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
To: gnu_lists@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: Eli Zaretskii <eliz@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6 July 2018 at 09:54,  <gnu_lists@HIDDEN> wrote:
>> > >     ./configure --without-gnutls --without-backbuffer
>> > >
>> >
>> > I=CA=BCd call it --without-xdbe
>>
>> Or maybe --disable-double-buffering?
>
> I think sticking with the --without-... pattern makes sense.

The ./configure --help output distinguishes between features and packages:

Optional Features:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=
=3Dno)
  --enable-FEATURE[=3DARG]  include FEATURE [ARG=3Dyes]

Optional Packages:
  --with-PACKAGE[=3DARG]    use PACKAGE [ARG=3Dyes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=3Dno)

I think the double buffering thing is a feature, not a package, so
--disable-... fits better.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 14:04:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 10:04:18 2018
Received: from localhost ([127.0.0.1]:48746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbRLO-0008T2-E2
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:04:18 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:37045)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fbRLM-0008Sq-Uo
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 10:04:17 -0400
Received: by mail-wr1-f49.google.com with SMTP id q10-v6so4328156wrd.4
 for <32032 <at> debbugs.gnu.org>; Fri, 06 Jul 2018 07:04:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=RQQdGBr6VluYey2Dp5/SdAj8dRo5l3THJAZYw0IMhxE=;
 b=KI70FK5qHKbNroyhpvFC+QDdHWeCzQvO9X+YjGw69OVsZFOXtcqzM8cGPtgvY7p5xZ
 km5T5FL/+7K3rCrL92wOtKlm0LU9hXPwVmA1RHDBWMSWFhGZ1Z2QwyeyI8Xzt7q9YHbR
 AMtQyTxo8bekzwH3EYjSHMWT9SRZl1xzH20x+2WzCs8KsKEAEENXh3dlQ2iqR9xj8b+4
 mQ0WNiPDXJEIn1lTzcfEpklpuR5buYyaJhkTNn9Frh16dlNUOj16toGRPSQnsqfl8b+Z
 YW5B+IWAFY0WkL9R700RBuYMPJWIOgcWac3VMnkCjhFJeb0CCee0vQvxaaKQWY8Xd6px
 1Xfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=RQQdGBr6VluYey2Dp5/SdAj8dRo5l3THJAZYw0IMhxE=;
 b=J0l1HcMAQDzsrFmijiQShN4tEtftADKdHgfNXmcgz9sd70oHzty94r9CZO4BH0yI41
 vnsts9DlcWYm3b5JBi64wrUGxvc8IakQVInFkvdmOXg+i85Mbv1Cyo2rX0S15vwW8xBv
 VXDfYfXntoZ/p6SYUUCId4jc/W+3sLH0DJpfBil1247Cb8lWJRhKGtfLBGpEHsxflp2e
 mtNXkxqGZOVsK2hJrBagnf6565JHx0MYExS27y4icL0ekydUEle5bSvHanJHTHKrZH+P
 WU+1SbexWWnyoBRbAZRjqlzmYOKd7vlvazMhcJKt6bEyPTUF6Gnh5f++IB+YMbgD1cPf
 Iw0Q==
X-Gm-Message-State: AOUpUlEaMJZLcOIeiZelK5ksvK7tiPEGULEatmp5KDt65RciJt9px/6p
 mtR7yO3y4CVEifyGuK/St0Z8vfle8Jc=
X-Google-Smtp-Source: AAOMgpem6yLooldr4njdA3bZMKHgkW3XZZSvL1lqoQS775SBk9JwXuOLWc7xWug+vmVxauW/GVAgWA==
X-Received: by 2002:adf:c684:: with SMTP id
 j4-v6mr1488609wrg.243.1530885850741; 
 Fri, 06 Jul 2018 07:04:10 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id t53-v6sm11280043wrc.13.2018.07.06.07.04.09
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 06 Jul 2018 07:04:09 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: gnu_lists@HIDDEN
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <878t6oa5pt.fsf@HIDDEN> <83in5slcvc.fsf@HIDDEN>
 <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 06 Jul 2018 16:04:08 +0200
In-Reply-To: <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
 (gnu lists's message of "Fri, 06 Jul 2018 23:54:12 +1000")
Message-ID: <87va9s8nqf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: Eli Zaretskii <eliz@HIDDEN>, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

gnu_lists@HIDDEN writes:

>> > >     ./configure --without-gnutls --without-backbuffer
>> > >
>> >
>> > I=CA=BCd call it --without-xdbe
>>
>> Or maybe --disable-double-buffering?
>
> I think sticking with the --without-... pattern makes sense.
>

Yes, as it a compile time option, not a run-time disabling of the
feature. If you call it 'without-double-buffering' please make Xdbe
appear in the help string, it would help people search for it.

>> > Eli, would such a change require copyright assignment?=20
>
> What=E2=80=99s this copyright assignment about? A GNU thing?

Yes. The FSF requires that substantial changes to GNU programs have
their copyright assigned to them (although you still retain your
rights to the changes as well). Explained in greater detail here:
<https://www.gnu.org/licenses/why-assign.en.html>

For small changes such assignment is not required, but if you plan to
make lots of contributions it=CA=BCs a good idea. The process is relatively
painless.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 13:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 09:54:15 2018
Received: from localhost ([127.0.0.1]:48338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbRBf-00088r-G7
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:54:15 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:39039)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1fbRBd-00088j-RT
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:54:14 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 3745C21F46;
 Fri,  6 Jul 2018 09:54:13 -0400 (EDT)
Received: from web6 ([10.202.2.216])
 by compute3.internal (MEProxy); Fri, 06 Jul 2018 09:54:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=6y3T9AlHnZSSCCRPJzeTM1tgVYs6o
 NmvFRDDRKNKY2g=; b=O14RDnnYx4UOH2IJzRTut4df09Ucck3Nj0LSGCe5No4bn
 5Zk6UR0dfHcpPrfWyKkyiPkU9idx28TUc779RO5JgqJuIse3bIQg4mrC+bbgrO7m
 xpRDS9dhNYnk+2u5neu95RJh6HEBIMNI320Vv3VbszTUh55OBjMLfLuHEjzll77G
 we4U3vK9tm8WVMINODt8+9P701dBmBZVKwja/qIijhRagub6OpGXRmdNiHDzcl6g
 8Da7Ec3cLX5AFo8rfEb8fPiC0eN7dgIBfAqM12VcsqGG7bZMPbWehbc2CX8ySVCv
 uvB0BX8h+qJph1iI2c7XogaPsnrAJJTQg9Flm33ng==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=6y3T9A
 lHnZSSCCRPJzeTM1tgVYs6oNmvFRDDRKNKY2g=; b=Q2JrHXpq37jBJK9CmPkJ4l
 6C5t4TLIqo0VfiQNDIChTwq8vg2eVH2Yl/uzl4GT/ZXdFglavIwAQj1LdNCAqhtu
 7gqcX7KmM6g0ZfatUs2GBMuaX8Fgnq+kBmmugCadoILb0sFsb++23tFzzQo0q1rE
 bnrLfSx+jJ3jp+7bzAmnaJSXtmOW+VA3gdHZuFQnMVide6promvef7bvoPh/5Pc7
 0JwDTKyHzhuVLeozodK9P7HBIj2dXOwwuYOZWOhao6muAOPU7qW5TCY5LiI/vYCQ
 +ArwR17YccfPSGdsr3kMztjTm0LtbeSkGXLkWcmqvk09ZXF62fgQ7qj3MeOyu6aA
 ==
X-ME-Proxy: <xmx:hHQ_WwkuEVWEteHGhVa_REBShEQ71fQOzm1UQrZKMykxCFj-66L2tA>
 <xmx:hHQ_Wy5GomVR7rwUphvUQp4N-bITkXjmqKSg59i4DDzClY4UI_vDOg>
 <xmx:hHQ_W977KWv3sE7qD-q2DWF1Sp1DON_jazeo6UcCO09aZy09xhraBQ>
 <xmx:hHQ_W6QIBs8M8EvyDuydRqx3BcRjBYaf8RVvsBIZnP4z3GitsyeaeQ>
 <xmx:hHQ_W3ByXoJgMdWNnT6_VD3yNo61qA-N_C5zU0tyoQAaSczzKtF8yw>
 <xmx:hXQ_WwKO6Rl52gnlK6vb4vcxr3AZDIEh9kbynUMrjm9cQXU1PXNLdQ>
X-ME-Sender: <xms:hHQ_W3UETpfxosYY2bAoVSC8bfnv_WN03aJc3cXkff35cnU3JZGtPA>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 9A53340FF; Fri,  6 Jul 2018 09:54:12 -0400 (EDT)
Message-Id: <1530885252.569362.1432108416.7AF1FD37@HIDDEN>
From: gnu_lists@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/alternative; boundary="_----------=_15308852525693620"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-0d8ea36c
Date: Fri, 06 Jul 2018 23:54:12 +1000
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <878t6oa5pt.fsf@HIDDEN> <83in5slcvc.fsf@HIDDEN>
In-Reply-To: <83in5slcvc.fsf@HIDDEN>
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--_----------=_15308852525693620
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

> > >     ./configure --without-gnutls --without-backbuffer
> > >
> >
> > I=CA=BCd call it --without-xdbe
>
> Or maybe --disable-double-buffering?

I think sticking with the --without-... pattern makes sense.

> > Eli, would such a change require copyright assignment?=20

What=E2=80=99s this copyright assignment about? A GNU thing?

--_----------=_15308852525693620
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset="utf-8"

<!DOCTYPE html>
<html>
<head>
<title></title>
<style type=3D"text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style>
</head>
<body><div style=3D"font-family:Arial;">&gt; &gt; &gt;&nbsp;&nbsp;&nbsp;&nb=
sp; ./configure --without-gnutls --without-backbuffer<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; &gt;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; I=CA=BCd call it --without-xdbe=
<br></div>
<div style=3D"font-family:Arial;">&gt;<br></div>
<div style=3D"font-family:Arial;">&gt; Or maybe --disable-double-buffering?=
<br></div>
<div style=3D"font-family:Arial;"><br></div>
<div style=3D"font-family:Arial;">I think sticking with the --without-... p=
attern makes sense.</div>
<div style=3D"font-family:Arial;"><br></div>
<div style=3D"font-family:Arial;">&gt; &gt; Eli, would such a change requir=
e copyright assignment?&nbsp;<br></div>
<div style=3D"font-family:Arial;"><br></div>
<div style=3D"font-family:Arial;">What=E2=80=99s this <span class=3D"highli=
ght" style=3D"background-color:rgb(255, 255, 255)"><span class=3D"colour" s=
tyle=3D"color:rgb(31, 31, 31)"><span class=3D"font" style=3D"font-family:Ar=
ial"><span class=3D"size" style=3D"font-size:14px">copyright assignment abo=
ut? A GNU thing?</span></span></span></span></div>
</body>
</html>

--_----------=_15308852525693620--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 13:30:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 09:30:19 2018
Received: from localhost ([127.0.0.1]:48326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbQoV-0007bW-6x
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:30:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43829)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fbQoS-0007aQ-Mo
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:30:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fbQoH-0003ke-4P
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:30:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59513)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fbQoH-0003k1-1N; Fri, 06 Jul 2018 09:30:05 -0400
Received: from [176.228.60.248] (port=3219 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fbQoG-0000uq-B6; Fri, 06 Jul 2018 09:30:04 -0400
Date: Fri, 06 Jul 2018 16:30:06 +0300
Message-Id: <83h8lclcf5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <87zhz48qxl.fsf@HIDDEN> (message from Robert Pluim on Fri, 06
 Jul 2018 14:55:02 +0200)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN> <87zhz48qxl.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: gnu_lists@HIDDEN,  32032 <at> debbugs.gnu.org
> Date: Fri, 06 Jul 2018 14:55:02 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > We don't (yet) work with pull requests.  Please make the change in
> > your local clone of the Emacs repository, on the master branch, and
> > then use "git format-patch" to prepare a patch and post the patch
> > here.
> 
> It looks simple enough for emacs-26, no?

It does, but I'm hesitant to add new features to emacs-26, and I still
hope those bugs will get fixed at some point, so we will have no
urgent need for this option.

What do others think--is it urgent to get this option into Emacs 26.2?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 13:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 09:20:38 2018
Received: from localhost ([127.0.0.1]:48317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbQf8-0007Kt-09
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:20:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41879)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fbQf2-0007Kd-Rs
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:20:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fbQeu-0005vg-DM
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:20:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59364)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fbQet-0005uZ-Qf; Fri, 06 Jul 2018 09:20:24 -0400
Received: from [176.228.60.248] (port=2634 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fbQes-0004CR-SE; Fri, 06 Jul 2018 09:20:23 -0400
Date: Fri, 06 Jul 2018 16:20:23 +0300
Message-Id: <83in5slcvc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <878t6oa5pt.fsf@HIDDEN> (message from Robert Pluim on Fri, 06
 Jul 2018 14:50:22 +0200)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN> <878t6oa5pt.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  32032 <at> debbugs.gnu.org
> Date: Fri, 06 Jul 2018 14:50:22 +0200
> 
> >     ./configure --without-gnutls --without-backbuffer
> >
> 
> Iʼd call it --without-xdbe

Or maybe --disable-double-buffering?

> Eli, would such a change require copyright assignment? I suspect the
> change is less than 10 lines.

If it's small (and I also expect it to be small), then no assignment
is necessary.  Of course, starting the paperwork now would be a good
idea regardless.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 13:13:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 09:13:09 2018
Received: from localhost ([127.0.0.1]:48313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbQXo-000796-GI
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:13:08 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:50741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1fbQXh-00078Z-Gr
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 09:13:01 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 7080D21AD2;
 Fri,  6 Jul 2018 09:12:56 -0400 (EDT)
Received: from web6 ([10.202.2.216])
 by compute3.internal (MEProxy); Fri, 06 Jul 2018 09:12:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=qehdxHI/q+K/NimOGH1O9aaZSYG7D
 Tc+rS7ND1SzJiM=; b=TueWfQPkfjIyzsjoCprfcXHCXtveNq/eANX2IUznu7qNt
 pnWuXQGkNobADzRjlRhl1ce8WfRzZ0HllNYMUva4/b+UxFCNCWVlqPDr74zHi3XO
 49S9r9qLDesWURYqH03qaLp28/QpZ3dZlDE9/TKS2va6sy9MzJFLMcWYSOa0hMvT
 zBRMMlM/AYvAsBhwv2KB3rG7pjJzzbVNiXBWGF2B9qbCkJORJcsDHYLZrcOCS5ML
 PjEykE0GVYeyWHgUmwiWoZPvOlIP9rXAwwN1EA+z5hy62zZmeCDIyvRSJh5xPMJO
 tllp5fcoCGvwhfuzCLCk77nFBq10wUusVDm/Vt7Cw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=qehdxH
 I/q+K/NimOGH1O9aaZSYG7DTc+rS7ND1SzJiM=; b=e1m+wdaDOh/PNz2hsEuLfn
 iV31+HuvJRI/dBeAa6JSRduOKxR2BkZ+Zf0quMQpb8TAgNWz7l30c2uNhwFrn9HO
 Jyl080HGgys/c0My8V1qr4ZFM/g+V3rDqUeuWz0C31CrnBN4e6O4hYgWBVvf2O7n
 EVQts6vXuZefYG9+a3op0PFGBAVg/10XwVftSxwMmfdRfRGgxJTfRPV8lInYPcqW
 G3VLxyyW7LdE8QmeDJnqsFID58aKtljgfiZqgq4JfkVgsPLIGjeHPty7pC7yKF97
 WjU1O3VcUymzT4yykSnAVLuyaJivcQuDPNUPTHtu9cB+4oQqIF5NZi4UXj+QWuDg
 ==
X-ME-Proxy: <xmx:2Go_Wz6X6BRP73GCDzwlPmWRGym4WWQ3D53FnNKlEwiYjFKFBr5nww>
 <xmx:2Go_W5EPW0RJM9LWRLm52ekBeh6Wr_slOlGDFwx-LiI6WFwfu6-WNg>
 <xmx:2Go_W8QvSCpDGAKKVngbIGoUMInepqPGXfUvONcDRRcBGcnyG77a8Q>
 <xmx:2Go_WyvsHMYSkxcE7mEVYNTni3AGj5DaS_YOkf-JFIbWFxTXoz3oFw>
 <xmx:2Go_W7wbu_WvbARWNKD-8Zi9DNdU2UQhAKTvcVG5MTueqJZIaNquTA>
 <xmx:2Go_W48yfl9auNYXpbLL9tqJmuCfRZO9umUS_2CLmsDeMraAgCt9PA>
X-ME-Sender: <xms:2Go_W8lta5gZRI42KcFADtyI5lUq50NM_-pLlohw6QcREU9K6Is20g>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 06C89410D; Fri,  6 Jul 2018 09:12:55 -0400 (EDT)
Message-Id: <1530882775.549830.1432064648.17C214DA@HIDDEN>
From: gnu_lists@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-0d8ea36c
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN>
In-Reply-To: <83lgaole7l.fsf@HIDDEN>
Date: Fri, 06 Jul 2018 23:12:55 +1000
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> >  Given that there are known bugs with this feature that no one is
> >  working on, perhaps we should introduce an optional configure switch
> >  to build without double-buffering.
> > 
> >  Agreed. Does it make sense for a Emacs source code newbie to chip in here?
> > 
> >  Of course.  We were all newbies at some point.
> > 
> > I created a new `configure.ac` (see https://gist.github.com/halloleo/8f4ba4b1ffcc3874a2ee0e16e03f6618)
> > which provides a `--without-backbuffer` option:
> > 
> >     ./configure --without-gnutls --without-backbuffer
> 
> Thanks.
> 
> > then builds an Emacs exe which starts up properly on unbuffered X servers without any custom `.emacs` file.
> > 
> > Where do I put the `configure.ac` file and how do I create a pull request for it?
> 
> We don't (yet) work with pull requests.  Please make the change in
> your local clone of the Emacs repository, on the master branch, and
> then use "git format-patch" to prepare a patch and post the patch
> here.
> 
> (Please consult CONTRIBUTE in the repository for some of the practices
> we advise to use with contributed code.)

Will do. Will try to post patch tomorrow.

Happy emacsing! : -)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 12:55:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 08:55:12 2018
Received: from localhost ([127.0.0.1]:48301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbQGW-0006h1-Nz
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:55:12 -0400
Received: from mail-wm0-f52.google.com ([74.125.82.52]:34294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fbQGT-0006gl-SH
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:55:10 -0400
Received: by mail-wm0-f52.google.com with SMTP id s13-v6so4390538wmc.1
 for <32032 <at> debbugs.gnu.org>; Fri, 06 Jul 2018 05:55:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=HpWeWSJcrm89qoGQdQWM1PaU4WTFcV8+GE//+wBycsQ=;
 b=O7p6IvLLqyRsWalEag00GaEI8vKwEdxOQGvLM6GttaMiNTmj0zkkww6FL5l/h4GlMx
 HmOVfEhrfCQAkHVQzeObZa9bdEvwoySM8TvP7pyzYW+eudu4BgxOVepPfUcwtOFYrTCF
 C4UsvTxgCR62MZ79dtfXIxoCw77C/OggCHBoFjXJOsZLCH1mIBCXu/T6tlUCRCL/BzLQ
 ngkTAeCwgLI0ATXrinFLx12zDF5bvmZc8CxGxhT4hTLIqwaHHKoW+eZsskKs/FgVdpyp
 FA0CfDnF+sh3KZBvoGWh73lQ6l1Y+L2QgeUb9rSNvCqmZC/ABennWnFns0WrLrqjPQbG
 AOrg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=HpWeWSJcrm89qoGQdQWM1PaU4WTFcV8+GE//+wBycsQ=;
 b=kOuPy0ZV7FRRCo8de1JBRiz8hWKo3K5oc01TLlJhxGRebL0kSiXd8ukdog4QJoBMGK
 0P54/cMGjc25Hw1FeVPNCi2GQ4wzVPrV01KifZDTMKCyedKx0lQzqWMT0v+kKTmIJG1S
 4EKgHSvwuh61cKEoRfMzdq1xc1koyIVuGFp/UH7MUcmWDc3TT6CkxyMLbvPAgvxpqf9W
 UpwrGtoiaH8FQ1VpiP1e7Hk12bErBQgOYOEL4Yedo82Ht0ElvrOxNC3JnhWmBIG48htk
 g8a/cTTaujZFlEejZuTsMCrWsPuyBr7i8m+O9YKkEcpdQosEAulbo4b+ZjyZniUDuiAE
 stjQ==
X-Gm-Message-State: APt69E2H53Ed72pyTY24ERqS3cqaTzLmHFIINIdjbyTPnGhyQxQNOh31
 b6eIYTyFj5hNY0opiEUbNAPiLemqD2M=
X-Google-Smtp-Source: AAOMgpd6EfxDqWyJo4Wc0fjXGHXZp61oqhxWdt0v7olmZSpsUQV4Pxr+aT/3147vnHRY0JA37znXfQ==
X-Received: by 2002:a7b:c0d5:: with SMTP id
 s21-v6mr6137776wmh.106.1530881703828; 
 Fri, 06 Jul 2018 05:55:03 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id 5-v6sm17647540wmv.48.2018.07.06.05.55.02
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 06 Jul 2018 05:55:03 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 <83lgaole7l.fsf@HIDDEN>
Date: Fri, 06 Jul 2018 14:55:02 +0200
In-Reply-To: <83lgaole7l.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 06 Jul
 2018 15:51:26 +0300")
Message-ID: <87zhz48qxl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> We don't (yet) work with pull requests.  Please make the change in
> your local clone of the Emacs repository, on the master branch, and
> then use "git format-patch" to prepare a patch and post the patch
> here.

It looks simple enough for emacs-26, no? Of course, it needs an
etc/NEWS entry as well describing it whichever branch it goes to.

Regards

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 12:51:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 08:51:39 2018
Received: from localhost ([127.0.0.1]:48297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbQD1-0006bg-FD
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:51:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fbQD0-0006bT-HJ
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:51:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fbQCr-0004A6-H1
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:51:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58697)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fbQCr-0004A1-Dp; Fri, 06 Jul 2018 08:51:25 -0400
Received: from [176.228.60.248] (port=4838 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fbQCq-0004zs-Sa; Fri, 06 Jul 2018 08:51:25 -0400
Date: Fri, 06 Jul 2018 15:51:26 +0300
Message-Id: <83lgaole7l.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: gnu_lists@HIDDEN
In-reply-to: <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
 (gnu_lists@HIDDEN)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN> <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: gnu_lists@HIDDEN
> Cc: gnu_lists@HIDDEN, rpluim@HIDDEN, 32032 <at> debbugs.gnu.org
> Date: Fri, 06 Jul 2018 22:33:05 +1000
> 
> 
> [1:text/plain Show]
> 
> 
> [2:text/html Hide Save:noname (2kB)]
> 
>  Given that there are known bugs with this feature that no one is
>  working on, perhaps we should introduce an optional configure switch
>  to build without double-buffering.
> 
>  Agreed. Does it make sense for a Emacs source code newbie to chip in here?
> 
>  Of course.  We were all newbies at some point.
> 
> I created a new `configure.ac` (see https://gist.github.com/halloleo/8f4ba4b1ffcc3874a2ee0e16e03f6618)
> which provides a `--without-backbuffer` option:
> 
>     ./configure --without-gnutls --without-backbuffer

Thanks.

> then builds an Emacs exe which starts up properly on unbuffered X servers without any custom `.emacs` file.
> 
> Where do I put the `configure.ac` file and how do I create a pull request for it?

We don't (yet) work with pull requests.  Please make the change in
your local clone of the Emacs repository, on the master branch, and
then use "git format-patch" to prepare a patch and post the patch
here.

(Please consult CONTRIBUTE in the repository for some of the practices
we advise to use with contributed code.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 12:50:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 08:50:33 2018
Received: from localhost ([127.0.0.1]:48293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbQC1-0006Zt-1u
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:50:33 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:34684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fbQBy-0006Zg-N8
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:50:31 -0400
Received: by mail-wr1-f47.google.com with SMTP id c13-v6so4047852wrt.1
 for <32032 <at> debbugs.gnu.org>; Fri, 06 Jul 2018 05:50:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=VYfNdFzgw11+ay9aS/qppalN5wVFY0iFsbUMGiU6XIQ=;
 b=eEWY6MsZjma8SMYwSyfhy+WvcjNiJXoK4AHMx7iwROqW6fY0jvtZ3VQ4h3LT5M4mSk
 XSSQJUB0agMWJw/A7xbxmFQ+mXdym65uXHjemewfi/08WZ4E8aRZ6kNie8jy6eCw2L/U
 WOWHMDKmDQ4nJrojXvU698VlvyBUlz4N78qthCJM+8DMLmW2oLz4H9L5I8kNK6rCkuQd
 acxJLVPuZ9S/EurcYDoTUHwR8W/Tc52hisHArCoJg29/JAKP0rswNPFfCTLTzuqZgGgN
 mH/WZyzWtZhjrP4FqkmBXgvZraW0JVNksk34iivFTlbUN4RjmeqBafAysoTJBDjqhcRY
 YgqQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=VYfNdFzgw11+ay9aS/qppalN5wVFY0iFsbUMGiU6XIQ=;
 b=YZQxKsjFdUqQ+XyjTeKFKSFGxaRwXPlKbmAkz7VhAL6BCjM1heDdExZfPKirjOMF7o
 6MAXjMrJsXlZYQDl8dpswCRP6qL4CljN3q9G80zwWkm5GXHVOj3dhktoDtautYS7RbQN
 Y9S5TlYlok8z+BJ04rQe8HJbtx++7d1QcH2QdWbbYSr6CQaL50RZYA0IQM9fCZnBQgY9
 RGKUNie7eCBgpPOT89muiLnufG/HX9zwIPfi0tlRBMtFbiz92eLbt0/2zGuy6OLAjvas
 cnecDhua9W4EKcOXA3wYz4RsMNN+3wA2l/CUkkGJZoNjHgcu8IJxACLC54SBUeizpD2c
 jTKg==
X-Gm-Message-State: APt69E2jd7MAKZ/7EDep+FgLBiTyCy/X1pH11PZTNb3EbRSBC6G7wJUJ
 LUKrXsVNkEM+yMvoUuR8zNuRHCS8BWg=
X-Google-Smtp-Source: AAOMgpdHkVcdi8GNInoaYkEn9+M+mpDFcRDBg4UHUMTs7HRI4h6YNJvcKlYkB2XmsGg3gcHw9YZbFg==
X-Received: by 2002:adf:f342:: with SMTP id
 e2-v6mr7263568wrp.161.1530881424501; 
 Fri, 06 Jul 2018 05:50:24 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id 4-v6sm15343011wmh.14.2018.07.06.05.50.23
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 06 Jul 2018 05:50:23 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: gnu_lists@HIDDEN
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
 <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
Date: Fri, 06 Jul 2018 14:50:22 +0200
In-Reply-To: <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN> (gnu lists's
 message of "Fri, 06 Jul 2018 22:33:05 +1000")
Message-ID: <878t6oa5pt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: Eli Zaretskii <eliz@HIDDEN>, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

gnu_lists@HIDDEN writes:

>>>> Given that there are known bugs with this feature that no one is
>>>> working on, perhaps we should introduce an optional configure switch>>=
> to build without double-buffering.
>>>=20
>>> Agreed. Does it make sense for a Emacs source code newbie to chip
>>> in here?>=20
>> Of course.  We were all newbies at some point.
>
> I created a new `configure.ac` (see
> https://gist.github.com/halloleo/8f4ba4b1ffcc3874a2ee0e16e03f6618) which
> provides a `--without-backbuffer` option:
>     ./configure --without-gnutls --without-backbuffer
>

I=CA=BCd call it --without-xdbe, since that=CA=BCs the name of the X
extension. You should probably also add it to the output of configure
(all those "Does Emacs use <foo>" lines), and to
emacs_config_features.

> then builds an Emacs exe which starts up properly on unbuffered X
> servers without any custom `.emacs` file.
> Where do I put the `configure.ac` file and how do I create a pull
> request for it?

We don=CA=BCt do pull requests. Creating a git format-patch (including a
ChangeLog entry), is probably the easiest way to get the change
in. It=CA=BCs possible you'll need to complete a copyright assignment [1]

Eli, would such a change require copyright assignment? I suspect the
change is less than 10 lines.

Regards

Robert

Footnotes:
[1]  Yes, there=CA=BCs a lot of inertia to overcome before you can
     contribute to emacs.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 6 Jul 2018 12:33:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 08:33:10 2018
Received: from localhost ([127.0.0.1]:48282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fbPvB-0006Ar-VD
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:33:10 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:42367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1fbPv9-0006Ai-0N
 for 32032 <at> debbugs.gnu.org; Fri, 06 Jul 2018 08:33:09 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id A3BE721B84;
 Fri,  6 Jul 2018 08:33:06 -0400 (EDT)
Received: from web6 ([10.202.2.216])
 by compute3.internal (MEProxy); Fri, 06 Jul 2018 08:33:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=mNv3kb3AyOJ67pEl0Zh4SPx88J56o
 MhGP3TpNFMb44U=; b=cRlWnn4coVzQTAnfVS1tQLIEaThrEvJYypxYa5kETBCIA
 QGIV2F9EEpmQJwLP+gW93L7T+dv9Izp3fqfHyw4Tn89fA3BYvScMC3zf2R5AMo5O
 HSIbHh4qdtS3A1jbEC27FUjxbPy5qXlZitBYvP9+GIPC4hy/UiYYl64FNReIpT9T
 hU5rtLMZe3Bx0gYcTjb95IrXVVAzgV5I4IWsYdFIYhdk78ODs36newhXM02BhsuL
 eIrSzk78Sk7lKm/J+WOdETDt7xnQ0/01AZh9IHK/hUj6f+jFpy/xzwQ0oWg/A9Sc
 F4Idi0tAHNrCNQpqtE5AWx0GMtUFBf8+JK1tnWxcQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=mNv3kb
 3AyOJ67pEl0Zh4SPx88J56oMhGP3TpNFMb44U=; b=ivlSTkAK2XM4B71MrGTBNG
 9Pq68zdvawuSGvbGFYUUfAvmJ1HYBjI3i4aAuLYE630EsvFLu7gllvJ+l3/31FyY
 e4/YHh3T/sp0l3YCFM/+n8RNqC+zmRaAXXbsCGyIkta30cEA+pw3Fqjrs8lhUNgQ
 m/jBMKlvQZzKEzyRdzN7n2Pj6aaEMqJJ/t0iOZZK+m7m+DIcT3bB4gu41i2W8Xtn
 8gx8ZF7emlpKQePk+ZljZ9Y2GH980lSvlRt5lX0Wfajzkg6OviFHBldSRpQe4cfD
 CsAUPfUwRYu24rZ2J4QDIBow63Ii3B/V6RoOHRNwdJAmqBerbaQzB6Pzx4m5vbng
 ==
X-ME-Proxy: <xmx:gWE_W5t2wSZ4a0rDclX4pYE2RYlExbqto6I2dOpOsASq7onDsk64dg>
 <xmx:gWE_W-lzgLEWq6eRaFDc7qWcePh9Pv-9fsHtjpWD8JB9A2NyYRBenA>
 <xmx:gWE_W61fMgbVrx-CAjqJD-B-6s82JE4Dyk0HkKD2Rmt6x15wPehxzQ>
 <xmx:gWE_W3h1XThOXTk1_PiEGJG61VQi5_nvHUtxtwwikJYCRBmRRhaNGQ>
 <xmx:gWE_W20Y9BmwXRw1V18PgOEbqLgMqlgHWnRLgNzusGiNsV6Dk3jp7Q>
 <xmx:gmE_W-8eQRur91UBxtxCUNLDzKt32IiTGRIcnAtOUiuicHBbe2hdgw>
X-ME-Sender: <xms:gWE_W3vCFNWs_hZ1zQWdB7qC7mcbqw9jZE9bQE9pPCYaeIwbpiBMIw>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id C578B410D; Fri,  6 Jul 2018 08:33:05 -0400 (EDT)
Message-Id: <5E9BAFF1-1EAE-47CD-8983-6B36AB232B9C@HIDDEN>
From: gnu_lists@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/alternative; boundary="_----------=_15308803855376410"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-0d8ea36c
Date: Fri, 06 Jul 2018 22:33:05 +1000
In-Reply-To: <83sh4zohia.fsf@HIDDEN>
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
 <83sh4zohia.fsf@HIDDEN>
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--_----------=_15308803855376410
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"

>>> Given that there are known bugs with this feature that no one is
>>> working on, perhaps we should introduce an optional configure switch>>> to build without double-buffering.
>> 
>> Agreed. Does it make sense for a Emacs source code newbie to chip
>> in here?> 
> Of course.  We were all newbies at some point.

I created a new `configure.ac` (see
https://gist.github.com/halloleo/8f4ba4b1ffcc3874a2ee0e16e03f6618) which
provides a `--without-backbuffer` option:
    ./configure --without-gnutls --without-backbuffer

then builds an Emacs exe which starts up properly on unbuffered X
servers without any custom `.emacs` file.
Where do I put the `configure.ac` file and how do I create a pull
request for it?

--_----------=_15308803855376410
Content-Transfer-Encoding: 7bit
Content-Type: text/html; charset="utf-8"

<!DOCTYPE html>
<html>
<head>
<title></title>
<style type="text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style>
</head>
<body><div style="direction: ltr;" class="AppleOriginalContents"><blockquote type="cite"><div><div><blockquote class="" type="cite"><blockquote class="" type="cite"><div style="font-family:Arial;">Given that there are known bugs with this feature that no one is<br></div>
<div style="font-family:Arial;">working on, perhaps we should introduce an optional configure switch<br></div>
<div style="font-family:Arial;">to build without double-buffering.<br></div>
</blockquote><div style="font-family:Arial;"><br></div>
<div style="font-family:Arial;">Agreed. Does it make sense for a Emacs source code newbie to chip in here?<br></div>
</blockquote><div style="font-family:Arial;"><br></div>
<div style="font-family:Arial;">Of course. &nbsp;We were all newbies at some point.<br></div>
</div>
</div>
</blockquote></div>
<div style="font-family:Arial;"><br></div>
<div><div><div>I created a new `configure.ac` (see https://gist.github.com/halloleo/8f4ba4b1ffcc3874a2ee0e16e03f6618) which provides a `--without-backbuffer` option:<br></div>
<div><div style="font-family:Arial;"><br></div>
</div>
<div>&nbsp; &nbsp; ./configure --without-gnutls --without-backbuffer<br></div>
<div><div style="font-family:Arial;"><br></div>
</div>
<div>then builds an Emacs exe which starts up properly on unbuffered X servers without any custom `.emacs` file.<br></div>
<div><div style="font-family:Arial;"><br></div>
</div>
<div>Where do I put the `configure.ac` file and how do I create a pull request for it?<br></div>
</div>
<div><div style="font-family:Arial;"><br></div>
</div>
</div>
</body>
</html>

--_----------=_15308803855376410--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 4 Jul 2018 02:35:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 03 22:35:26 2018
Received: from localhost ([127.0.0.1]:45757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faXdb-0000r0-TC
	for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 22:35:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50185)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1faXda-0000qj-3b
 for 32032 <at> debbugs.gnu.org; Tue, 03 Jul 2018 22:35:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1faXdR-0005qz-DX
 for 32032 <at> debbugs.gnu.org; Tue, 03 Jul 2018 22:35:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59105)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1faXdR-0005qv-AB; Tue, 03 Jul 2018 22:35:13 -0400
Received: from [176.228.60.248] (port=4290 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1faXdQ-0000LQ-La; Tue, 03 Jul 2018 22:35:13 -0400
Date: Wed, 04 Jul 2018 05:35:09 +0300
Message-Id: <83sh4zohia.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: gnu_lists@HIDDEN
In-reply-to: <1530658675.4044399.1429182904.3377623F@HIDDEN>
 (gnu_lists@HIDDEN)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
 <1530658675.4044399.1429182904.3377623F@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: rpluim@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: gnu_lists@HIDDEN
> Cc: 32032 <at> debbugs.gnu.org
> Date: Wed, 04 Jul 2018 08:57:55 +1000
> 
> > Given that there are known bugs with this feature that no one is
> > working on, perhaps we should introduce an optional configure switch
> > to build without double-buffering.
> 
> Agreed. Does it make sense for a Emacs source code newbie to chip in here?

Of course.  We were all newbies at some point.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 3 Jul 2018 22:57:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 03 18:57:58 2018
Received: from localhost ([127.0.0.1]:45722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faUFB-0004Dj-Nh
	for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 18:57:57 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:50423)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1faUFA-0004Dc-WF
 for 32032 <at> debbugs.gnu.org; Tue, 03 Jul 2018 18:57:57 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 53D8B21A7D;
 Tue,  3 Jul 2018 18:57:56 -0400 (EDT)
Received: from web6 ([10.202.2.216])
 by compute3.internal (MEProxy); Tue, 03 Jul 2018 18:57:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=0YuLjO61xzhlpe2NUt6GRVnwZGzwS
 KoUJEdW1KiAQLA=; b=d1GpbYMnfsRMPNAOnF6ksB+RQXubsEpojb5XuDzfQ12he
 g0/XTcLmBgraL7+DSKrZLMj4hURtjLh3oVmPjKXQeuC9p0448g8+eyR9scy7iVdx
 QjvtFyil5cPl4smYrRFJqWgRg0Npp9AsOwsFMJj/L4vXn81azI/Ia6uY8KsRQ7rC
 CWN8xghQK81hNXL5kp/B3LGgep4TVMCEWj3NKofQ2OUOGIlDWTXNlFIMu894HLiq
 dHd3BwSzBt9U2mqyatEjYXXMYHyB6wBQu+j0TZnc7FEaYuMBakaWsL96QWWu9XeX
 hcJWEH474xMXLZprJMO0Al5g92P44vNItW55Erv1Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=0YuLjO
 61xzhlpe2NUt6GRVnwZGzwSKoUJEdW1KiAQLA=; b=Nlzt69NwWPljhZW/S4K9UN
 VuodS0btJZecP74/4XbLH47fPv3oaBZmszN1PKTn1RNtBo/XKk/XX5pPB2hIS/g3
 yVDeF5EX/3Gx8il7Hgt6mtCYLnYjvwwKBe8qFdamdAEIVooLyQinQ7HB0GUeoKWY
 s01FNT9+PRrkpEN4iMtVws+3UPePs49jcnXHpgtyiPN8je6xpY2SUiuzyPLUZR2p
 ne417sS5r5NBuiBjOz1fq14RYKJEdf1NIuB5tjvjBCv3q4/KeCUo1AE8unctrRC/
 G0h2/XgeUbJF7CujEB95wCE4KNu3phTi+7QdPc01MdVz/+xetQSyzA5Z2tdkPU7w
 ==
X-ME-Proxy: <xmx:dP87Wz3X-tSKo0OL5yROWZhGhcCgjfLm_W0FTN6CFOg_nFH3eH8AmA>
 <xmx:dP87WxJu0-xIlPTHdPvnNnB33VwvqsAowMkL8oAv_anHSc4JH8borA>
 <xmx:dP87W6HHDnM3-DGPLwzYOAGFIZldB5fnK6-Mhc0IdMs5szSen1szxg>
 <xmx:dP87W1XD-l_bC8k71LNIDNASNcm_SC5d3Sg-Li_oXU-R9LKL0VRYRQ>
 <xmx:dP87W6wX3hlZrdfUT2dF59Zvo44HJCXW9VaFq5LaNmmjUfH0S2W3Ww>
 <xmx:dP87W_9MnkvgSe4WpQrYEmI-4ms7KRDkyWn5-SwCMJNqmr-LRxxhoA>
X-ME-Sender: <xms:c_87W-oSSZN9EjWIkIUx91doKvM9gkaD-xeIs-q2yETYegCPLQfEgg>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id E01FA4191; Tue,  3 Jul 2018 18:57:55 -0400 (EDT)
Message-Id: <1530658675.4044399.1429182904.3377623F@HIDDEN>
From: gnu_lists@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/alternative; boundary="_----------=_153065867540443991"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-0d8ea36c
Date: Wed, 04 Jul 2018 08:57:55 +1000
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
In-Reply-To: <83bmbojgm8.fsf@HIDDEN>
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN> <83bmbojgm8.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--_----------=_153065867540443991
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"




On Wed, 4 Jul 2018, at 4:53 AM, Eli Zaretskii wrote:
> > From: Robert Pluim <rpluim@HIDDEN>
> > Cc: Eli Zaretskii <eliz@HIDDEN>,  32032 <at> debbugs.gnu.org
> > Date: Tue, 03 Jul 2018 11:20:15 +0200
> >
> > >> Try disabling double-buffering (etc/NEWS describes how to do
> > >> that).> > >
> > > Thanks Eli. That works. :-)
> > >=20
> > > Any way to *build* Emacs so that  it disables by default double-
> > > buffering?> >
> > It doesn=CA=BCt look that way, if configure finds the Xdbe
> > extension Emacs> > uses it. You could add
> >
> > '(inhibit-double-buffering . t)
> >
> > to default-frame-alist, or uninstall the Xdbe.h header.
>
> Given that there are known bugs with this feature that no one is
> working on, perhaps we should introduce an optional configure switch
> to build without double-buffering.

Agreed. Does it make sense for a Emacs source code newbie to chip in
here?

--_----------=_153065867540443991
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset="utf-8"

<!DOCTYPE html>
<html>
<head>
<title></title>
<style type=3D"text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style>
</head>
<body><div style=3D"font-family:Arial;"><br></div>
<div style=3D"font-family:Arial;"><br></div>
<div style=3D"font-family:Arial;"><br></div>
<div style=3D"font-family:Arial;">On Wed, 4 Jul 2018, at 4:53 AM, Eli Zaret=
skii wrote:<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; From: Robert Pluim &lt;rpluim@g=
mail.com&gt;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; Cc: Eli Zaretskii &lt;eliz@gnu.=
org&gt;,&nbsp; 32032 <at> debbugs.gnu.org<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; Date: Tue, 03 Jul 2018 11:20:15=
 +0200<br></div>
<div style=3D"font-family:Arial;">&gt; &gt;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; &gt;&gt; Try disabling double-b=
uffering (etc/NEWS describes how to do that).<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; &gt;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; &gt; Thanks Eli. That works. :-=
)<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; &gt;&nbsp;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; &gt; Any way to *build* Emacs s=
o that&nbsp; it disables by default double-buffering?<br></div>
<div style=3D"font-family:Arial;">&gt; &gt;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; It doesn=CA=BCt look that way, =
if configure finds the Xdbe extension Emacs<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; uses it. You could add<br></div>
<div style=3D"font-family:Arial;">&gt; &gt;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; '(inhibit-double-buffering . t)=
<br></div>
<div style=3D"font-family:Arial;">&gt; &gt;<br></div>
<div style=3D"font-family:Arial;">&gt; &gt; to default-frame-alist, or unin=
stall the Xdbe.h header.<br></div>
<div style=3D"font-family:Arial;">&gt;<br></div>
<div style=3D"font-family:Arial;">&gt; Given that there are known bugs with=
 this feature that no one is<br></div>
<div style=3D"font-family:Arial;">&gt; working on, perhaps we should introd=
uce an optional configure switch<br></div>
<div style=3D"font-family:Arial;">&gt; to build without double-buffering.<b=
r></div>
<div style=3D"font-family:Arial;"><br></div>
<div style=3D"font-family:Arial;">Agreed. Does it make sense for a Emacs so=
urce code newbie to chip in here?<br></div>
</body>
</html>

--_----------=_153065867540443991--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 3 Jul 2018 18:53:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 03 14:53:41 2018
Received: from localhost ([127.0.0.1]:45663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faQQn-0006nF-Il
	for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 14:53:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1faQQm-0006n4-TU
 for 32032 <at> debbugs.gnu.org; Tue, 03 Jul 2018 14:53:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1faQQc-0006yG-VQ
 for 32032 <at> debbugs.gnu.org; Tue, 03 Jul 2018 14:53:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53712)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1faQQc-0006y6-RS; Tue, 03 Jul 2018 14:53:30 -0400
Received: from [176.228.60.248] (port=3411 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1faQQc-0005RC-37; Tue, 03 Jul 2018 14:53:30 -0400
Date: Tue, 03 Jul 2018 21:53:19 +0300
Message-Id: <83bmbojgm8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <878t6sd6b4.fsf@HIDDEN> (message from Robert Pluim on Tue, 03
 Jul 2018 11:20:15 +0200)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 <878t6sd6b4.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: gnu_lists@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  32032 <at> debbugs.gnu.org
> Date: Tue, 03 Jul 2018 11:20:15 +0200
> 
> >> Try disabling double-buffering (etc/NEWS describes how to do that).
> >
> > Thanks Eli. That works. :-)
> >  
> > Any way to *build* Emacs so that  it disables by default double-buffering?
> 
> It doesnʼt look that way, if configure finds the Xdbe extension Emacs
> uses it. You could add
> 
> '(inhibit-double-buffering . t)
> 
> to default-frame-alist, or uninstall the Xdbe.h header.

Given that there are known bugs with this feature that no one is
working on, perhaps we should introduce an optional configure switch
to build without double-buffering.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 3 Jul 2018 09:20:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 03 05:20:25 2018
Received: from localhost ([127.0.0.1]:44393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faHU0-0006hk-Sz
	for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 05:20:25 -0400
Received: from mail-wr0-f196.google.com ([209.85.128.196]:40961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1faHTz-0006hX-U3
 for 32032 <at> debbugs.gnu.org; Tue, 03 Jul 2018 05:20:24 -0400
Received: by mail-wr0-f196.google.com with SMTP id h10-v6so1173344wrq.8
 for <32032 <at> debbugs.gnu.org>; Tue, 03 Jul 2018 02:20:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=uiosM/UXhkN5xST1rrGYkOxrS3ekX6wXxkoe0uaa6Fo=;
 b=SxWDzsrn/pkTobYz7oYbfNVgIuh2ycMjKzq5FoKfQtiGwIeQlcEglaOJgEEdndIexG
 t1UJJ1IU81lTYncgatVwgAVkevATbD+z4c4qgqOcg+PPwkTRAGb5i+yuvw4RsMVwPDxi
 bTI7hOhwL2y6fo6LB4oneiaQrT7bouaBsIsuo+D77TJtDedEmRooXHFYOfGbK6HQVG7X
 pzVLD+MPJVujiSCVWVOa4guEpck6mX+0VCTu7vPhUk6Tj5XvXpo57LnjZm5dCI3ecHsq
 HYA5mLr0rF+UVMEmRyERhSoFmzJiCHHMbyB1DcE+3zoqlreLh1hoIdNzI0sFhOfguA2C
 PS7w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=uiosM/UXhkN5xST1rrGYkOxrS3ekX6wXxkoe0uaa6Fo=;
 b=WZbdgFcIePq/9wCI+d8//lS8kWd1hQws5S7yjV50pDbiT+eAWIwgfQYPoUrp6sBXr7
 FavfM0He/xohYRY5MSAKvtetpRN217svUSjTAy+QXxtuM8lJm3ht7WjLzTupdMXjIkiF
 /LZfByU49RrpmSoQxJ7YtQX3lVIoYOoUqMZJo6zZ29zcH+pLAUqc+nm7h8VXuyYxSISQ
 7WKkzVk4fFXY+7DPuPp0I7zNldE6f+yQ8/T6/+jKEt3npVd/JLIRvDUQCBpb+G5Ni9fW
 HYUUY9U5hEiHYoC6uT3TrXOioKuGCM/ZAQFCm1hD0NLkiXM2ODDyA7+UcWLyQepXQO2S
 QozQ==
X-Gm-Message-State: APt69E1Y0X32PEiqM5Frip5KTthKfEcErrrKvmhCGj5QYmrzCaKCyDXm
 zv0EnVf9jLPRgIEN7XtuCDM85yx2kPQ=
X-Google-Smtp-Source: AAOMgpcmDSokf8VBCeK1vZrjYvnmSyGH2c1LmSButDDuGXsZe8S6o1HaDtMMexLe/ABMEz2d/izTiA==
X-Received: by 2002:adf:9e48:: with SMTP id
 v8-v6mr11842888wre.277.1530609617650; 
 Tue, 03 Jul 2018 02:20:17 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id t11-v6sm1228989wrg.23.2018.07.03.02.20.16
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 03 Jul 2018 02:20:16 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: gnu_lists@HIDDEN
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
 <1530602459.1684831.1428231512.49979EDA@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 03 Jul 2018 11:20:15 +0200
In-Reply-To: <1530602459.1684831.1428231512.49979EDA@HIDDEN>
 (gnu lists's message of "Tue, 03 Jul 2018 17:20:59 +1000")
Message-ID: <878t6sd6b4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32032
Cc: Eli Zaretskii <eliz@HIDDEN>, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

gnu_lists@HIDDEN writes:

>> > I just built Emacs 26.1 on Centos 6 (RHEL 6.9). When I fire up the
>> > executable with `src/emacs -Q` over X11 it shows an empty window with =
no
>> > minibuffer. See the following screenshot:
>>=20
>> > https://i.stack.imgur.com/0Uf4m.png
>> >=20
>> > I built Emacs without `gnutls`, but that should be possible. Do I miss
>> > any essential libraries?
>>=20
>> Try disabling double-buffering (etc/NEWS describes how to do that).
>
> Thanks Eli. That works. :-)
>=20=20
> Any way to *build* Emacs so that  it disables by default double-buffering?

It doesn=CA=BCt look that way, if configure finds the Xdbe extension Emacs
uses it. You could add

'(inhibit-double-buffering . t)

to default-frame-alist, or uninstall the Xdbe.h header.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jul 2018 07:24:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 03 03:24:32 2018
Received: from localhost ([127.0.0.1]:44359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faFfs-0003kF-2p
	for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 03:24:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40011)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1faFfp-0003k2-Sx
 for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 03:24:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gnu_lists@HIDDEN>) id 1faFeg-0007nX-Lc
 for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 03:24:24 -0400
Received: from lists.gnu.org ([2001:4830:134:3::11]:51603)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gnu_lists@HIDDEN>)
 id 1faFeg-0007mw-4K
 for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 03:23:18 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57931)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gnu_lists@HIDDEN>) id 1faFdb-0003ER-P9
 for bug-gnu-emacs@HIDDEN; Tue, 03 Jul 2018 03:23:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gnu_lists@HIDDEN>) id 1faFcX-0005pU-FE
 for bug-gnu-emacs@HIDDEN; Tue, 03 Jul 2018 03:22:11 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:52947)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gnu_lists@HIDDEN>)
 id 1faFcW-0005iQ-Ut; Tue, 03 Jul 2018 03:21:05 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 54AB821813;
 Tue,  3 Jul 2018 03:21:00 -0400 (EDT)
Received: from web3 ([10.202.2.213])
 by compute3.internal (MEProxy); Tue, 03 Jul 2018 03:21:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=p3p9SRPC7+pJlLxzawplWNYhcxQi6
 PJNAYcRA+gumJo=; b=gY4KlHWfP8DvQIuNcOa9eHXM0mA8ir5ULsyty/XzlI2aa
 zRb0cMs9z9kb7kPNSDuIHLFXMyzOwRWHJ+VEE7yAgz0UDVYPE7X89jlEBa/MTTj6
 DccdmMA9FN46K8zp+uwd6/JPq8X5W2aitCbK7taUNkrWXzkl6/0ZWONWad2eqqyv
 BCHItHqRLqx07eWAO3Q+25NF8BLzjMi3OVRjJ6oWSfjVDWR8wfP6l4NNqLOhK1Ar
 7oE5hhS5CYqUTuoiQMEDWd0PqNFkfX3ArarbV5UncP3AtoaMN2B7XC2jO7ChMMdO
 vOR4SSvlXXgRt2UcwkeQU6ep+XVm1KUeGacWAc3AA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=p3p9SR
 PC7+pJlLxzawplWNYhcxQi6PJNAYcRA+gumJo=; b=DThlUL5eZCpoeVsnSiXYGO
 RmZZtq0jF1rfrf92pP/9ddU2ZT1U1T2iwkyuXGQKi6WWRHoUi3ovvr+VH/zti4aC
 VOT2JVPW8QgXvK1U9M67NQEEETrzOdemhp1ArHBFWb8gM+FEjYzJUXU9fN+pNDxp
 8D+4l2GBQB7ewblnf/KhpU+U/jMGmxQjbA97hoi08hHmppBrxUkWRG2GcLzwTzIv
 l2SIycCFq4/I913a4ZNq4aCXX9/13l6BM+rM2djwfX+gE8sKEFcjpfCQywPCvoe/
 vNf8NetyMNOji5uVIeBThfWpagfuYptdgRM98PuUzPrvbXDebFX/+mnjgeusePUQ
 ==
X-ME-Proxy: <xmx:2yM7W76Un_dKIO1J0sheJXwixv_H3s_agdfm6xGaZnRStEHzijottQ>
 <xmx:2yM7W6iMCC6HgciaOVBgI0SToL65z2Sz3qP67k0q9KNFIZMqoC_Llg>
 <xmx:2yM7W147SM8S9H7WLBp6hcmdK7r9JymlyXWop3bjU7UxBF1tnfxM9g>
 <xmx:2yM7WzCbx9Nx3v8qudiAbfQTKmbVm7gVsIqZbYr0zD-9iStUDeqRXA>
 <xmx:2yM7W6SRgCz_AXMjJ6WvZaTp0q-EGoWDi5E_Vh7gxbh-DrmsdzEjdw>
 <xmx:3CM7Wz8-D42uY83fCmM1CGDesPy7vanGwwy202lyeoKrPvw_7V7o7A>
X-ME-Sender: <xms:2yM7W_t8J2YePY9vCAa0r_x2ZRoIuCaxDCJP6eNdHDCsDj1qHauUpw>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id C5A499E48F; Tue,  3 Jul 2018 03:20:59 -0400 (EDT)
Message-Id: <1530602459.1684831.1428231512.49979EDA@HIDDEN>
From: gnu_lists@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-0d8ea36c
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
In-Reply-To: <83a7r9ln7o.fsf@HIDDEN>
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
Date: Tue, 03 Jul 2018 17:20:59 +1000
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

> > I just built Emacs 26.1 on Centos 6 (RHEL 6.9). When I fire up the
> > executable with `src/emacs -Q` over X11 it shows an empty window with no
> > minibuffer. See the following screenshot:
> 
> > https://i.stack.imgur.com/0Uf4m.png
> > 
> > I built Emacs without `gnutls`, but that should be possible. Do I miss
> > any essential libraries?
> 
> Try disabling double-buffering (etc/NEWS describes how to do that).

Thanks Eli. That works. :-)
 
Any way to *build* Emacs so that  it disables by default double-buffering?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 3 Jul 2018 07:21:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 03 03:21:01 2018
Received: from localhost ([127.0.0.1]:44353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1faFcT-0003f2-JF
	for submit <at> debbugs.gnu.org; Tue, 03 Jul 2018 03:21:01 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:47471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1faFcS-0003eg-JI
 for 32032 <at> debbugs.gnu.org; Tue, 03 Jul 2018 03:21:01 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 54AB821813;
 Tue,  3 Jul 2018 03:21:00 -0400 (EDT)
Received: from web3 ([10.202.2.213])
 by compute3.internal (MEProxy); Tue, 03 Jul 2018 03:21:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=p3p9SRPC7+pJlLxzawplWNYhcxQi6
 PJNAYcRA+gumJo=; b=gY4KlHWfP8DvQIuNcOa9eHXM0mA8ir5ULsyty/XzlI2aa
 zRb0cMs9z9kb7kPNSDuIHLFXMyzOwRWHJ+VEE7yAgz0UDVYPE7X89jlEBa/MTTj6
 DccdmMA9FN46K8zp+uwd6/JPq8X5W2aitCbK7taUNkrWXzkl6/0ZWONWad2eqqyv
 BCHItHqRLqx07eWAO3Q+25NF8BLzjMi3OVRjJ6oWSfjVDWR8wfP6l4NNqLOhK1Ar
 7oE5hhS5CYqUTuoiQMEDWd0PqNFkfX3ArarbV5UncP3AtoaMN2B7XC2jO7ChMMdO
 vOR4SSvlXXgRt2UcwkeQU6ep+XVm1KUeGacWAc3AA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=p3p9SR
 PC7+pJlLxzawplWNYhcxQi6PJNAYcRA+gumJo=; b=DThlUL5eZCpoeVsnSiXYGO
 RmZZtq0jF1rfrf92pP/9ddU2ZT1U1T2iwkyuXGQKi6WWRHoUi3ovvr+VH/zti4aC
 VOT2JVPW8QgXvK1U9M67NQEEETrzOdemhp1ArHBFWb8gM+FEjYzJUXU9fN+pNDxp
 8D+4l2GBQB7ewblnf/KhpU+U/jMGmxQjbA97hoi08hHmppBrxUkWRG2GcLzwTzIv
 l2SIycCFq4/I913a4ZNq4aCXX9/13l6BM+rM2djwfX+gE8sKEFcjpfCQywPCvoe/
 vNf8NetyMNOji5uVIeBThfWpagfuYptdgRM98PuUzPrvbXDebFX/+mnjgeusePUQ
 ==
X-ME-Proxy: <xmx:2yM7W76Un_dKIO1J0sheJXwixv_H3s_agdfm6xGaZnRStEHzijottQ>
 <xmx:2yM7W6iMCC6HgciaOVBgI0SToL65z2Sz3qP67k0q9KNFIZMqoC_Llg>
 <xmx:2yM7W147SM8S9H7WLBp6hcmdK7r9JymlyXWop3bjU7UxBF1tnfxM9g>
 <xmx:2yM7WzCbx9Nx3v8qudiAbfQTKmbVm7gVsIqZbYr0zD-9iStUDeqRXA>
 <xmx:2yM7W6SRgCz_AXMjJ6WvZaTp0q-EGoWDi5E_Vh7gxbh-DrmsdzEjdw>
 <xmx:3CM7Wz8-D42uY83fCmM1CGDesPy7vanGwwy202lyeoKrPvw_7V7o7A>
X-ME-Sender: <xms:2yM7W_t8J2YePY9vCAa0r_x2ZRoIuCaxDCJP6eNdHDCsDj1qHauUpw>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id C5A499E48F; Tue,  3 Jul 2018 03:20:59 -0400 (EDT)
Message-Id: <1530602459.1684831.1428231512.49979EDA@HIDDEN>
From: gnu_lists@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-0d8ea36c
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
In-Reply-To: <83a7r9ln7o.fsf@HIDDEN>
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 <83a7r9ln7o.fsf@HIDDEN>
Date: Tue, 03 Jul 2018 17:20:59 +1000
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32032
Cc: bug-gnu-emacs@HIDDEN, 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > I just built Emacs 26.1 on Centos 6 (RHEL 6.9). When I fire up the
> > executable with `src/emacs -Q` over X11 it shows an empty window with no
> > minibuffer. See the following screenshot:
> 
> > https://i.stack.imgur.com/0Uf4m.png
> > 
> > I built Emacs without `gnutls`, but that should be possible. Do I miss
> > any essential libraries?
> 
> Try disabling double-buffering (etc/NEWS describes how to do that).

Thanks Eli. That works. :-)
 
Any way to *build* Emacs so that  it disables by default double-buffering?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at 32032 <at> debbugs.gnu.org:


Received: (at 32032) by debbugs.gnu.org; 2 Jul 2018 14:36:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 10:36:02 2018
Received: from localhost ([127.0.0.1]:43656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZzvu-00054m-89
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 10:36:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fZzvt-00054S-Ae
 for 32032 <at> debbugs.gnu.org; Mon, 02 Jul 2018 10:36:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fZzvj-000301-GX
 for 32032 <at> debbugs.gnu.org; Mon, 02 Jul 2018 10:35:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58823)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fZzvj-0002zp-Cm; Mon, 02 Jul 2018 10:35:51 -0400
Received: from [176.228.60.248] (port=2280 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fZzvi-0006Cp-O4; Mon, 02 Jul 2018 10:35:51 -0400
Date: Mon, 02 Jul 2018 17:35:39 +0300
Message-Id: <83a7r9ln7o.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: gnu_lists@HIDDEN
In-reply-to: <1530496354.303915.1426735056.22418E3E@HIDDEN>
 (gnu_lists@HIDDEN)
Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window
References: <1530496354.303915.1426735056.22418E3E@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32032
Cc: 32032 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: gnu_lists@HIDDEN
> Date: Mon, 02 Jul 2018 11:52:34 +1000
> 
> I just built Emacs 26.1 on Centos 6 (RHEL 6.9). When I fire up the
> executable with `src/emacs -Q` over X11 it shows an empty window with no
> minibuffer. See the following screenshot:

> https://i.stack.imgur.com/0Uf4m.png
> 
> I built Emacs without `gnutls`, but that should be possible. Do I miss
> any essential libraries?

Try disabling double-buffering (etc/NEWS describes how to do that).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2018 05:37:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 01:37:19 2018
Received: from localhost ([127.0.0.1]:42576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZrWY-00057r-G6
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 01:37:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu_lists@HIDDEN>) id 1fZo1I-0006Fz-W5
 for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 21:52:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gnu_lists@HIDDEN>) id 1fZo1B-0004Ke-Ud
 for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 21:52:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33925)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gnu_lists@HIDDEN>)
 id 1fZo1B-0004KS-P9
 for submit <at> debbugs.gnu.org; Sun, 01 Jul 2018 21:52:41 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34210)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gnu_lists@HIDDEN>) id 1fZo19-0004iA-Qy
 for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2018 21:52:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gnu_lists@HIDDEN>) id 1fZo16-0004IC-LD
 for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2018 21:52:39 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:47061)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gnu_lists@HIDDEN>)
 id 1fZo16-0004HU-Cm
 for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2018 21:52:36 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id BB06D219DA
 for <bug-gnu-emacs@HIDDEN>; Sun,  1 Jul 2018 21:52:34 -0400 (EDT)
Received: from web3 ([10.202.2.213])
 by compute3.internal (MEProxy); Sun, 01 Jul 2018 21:52:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hailmail.net; h=
 content-transfer-encoding:content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=YnHY/WP6fdTo1n6GBKNxzwcJmDuZfCz0oI/BPZFqie8=; b=PgNQm5eH
 Gg/HOXbX7PWliGlxCY1V7B6tl1GJxxfn+uLPrFR0Tu3XutGfOP8FxLDE9pjIs3Yc
 ZDY7431s+N9upAfgU9qs1FtrRv7dKlAqvrR8Qf5201mRX81wVfaIDAYciqy1TawZ
 2t2ntIOmeBqPb1tQ8dKkhEkxWlFriotX+IzPHD2xVFQbQ3mspXLlw5YndFmh2dcY
 uzYJGhlzMkOIfb5iqF96dpip4xHN9xflrSpKquG2F5FYKpv02h52RIhgX1OLbu4M
 S8MEmjZTuZO1uwNKTnGAuCju6FrfDLXBvzfMkzAl//7LzQHJkiJhFJRXopI1WYNh
 MIKksuF1XHTWsQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=YnHY/WP6fdTo1n6GBKNxzwcJmDuZf
 Cz0oI/BPZFqie8=; b=JIdMvu0xezMkoUMFsP/swtPy172mgAsbhAOylowU5XqAL
 5LgnsfvxoT0t7EJRUGLSla9GhUZlLX9uwqvyWSQ+Liy3DxS9sSLJ53AkswcMqI0L
 kp0zQQi16skaWNpdDquYvN2v5EMup1lztDPrH+M14h2EyC40AnRyXowmDCc9TvC0
 XIgadnF39FyAvWcrX4sXPTRUldn76eGidwt52joKYFiczecs6i2qwDr/d7gSDtv2
 +U3dOPIVdG95knHylto7hnQrO0UeiVGH9+lqCHdBdiK9/yz7bNureITE03r2+amW
 QwfO0/aKFcMj5CVy5Ghp+fEnLTo8L2jX7muvqhtpw==
X-ME-Proxy: <xmx:YoU5WwIKfxIEkIigtYwFB3OwFxWA0rS016_UEN079nXGsw2N-Hs8GQ>
 <xmx:YoU5W_18pZp8-BWPOXXGhZXtn__1Uv0yExDa6n4p76GnK3RJQq-AdA>
 <xmx:YoU5W2o4mxRAMS_3Vf2NqvqCAxAjRQ4MniHUBMiHgf27EpwWxhfQrg>
 <xmx:YoU5W3r9JWBr9KYs-lE0im2OxhegK29MatRan2yHy5vir17ns5lIzA>
 <xmx:YoU5W9ztOKQCp1F7kTA31oNXTRucT1XeMTeiiUXIr1-YZdbzxUp-LA>
 <xmx:YoU5W1T47ViVyEWQizWG97mBqDX_wPffvjUEtijZkqke64A7kG5C8g>
X-ME-Sender: <xms:YoU5WykjYG44TrdKoGOyx-dq_dwVO1xrLZbYVv_R_Sm5MZtOT2ANDg>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 50B0C9E4AA; Sun,  1 Jul 2018 21:52:34 -0400 (EDT)
Message-Id: <1530496354.303915.1426735056.22418E3E@HIDDEN>
From: gnu_lists@HIDDEN
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/alternative; boundary="_----------=_15304963543039150"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-0d8ea36c
Date: Mon, 02 Jul 2018 11:52:34 +1000
Subject: 26.1; Emacs 26 opens under X with blank window
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 02 Jul 2018 01:37:17 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

This is a multi-part message in MIME format.

--_----------=_15304963543039150
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

I just built Emacs 26.1 on Centos 6 (RHEL 6.9). When I fire up the


executable with `src/emacs -Q` over X11 it shows an empty window with nomin=
ibuffer. See the following screenshot:


https://i.stack.imgur.com/0Uf4m.png





I built Emacs without `gnutls`, but that should be possible. Do I missany e=
ssential libraries?





According to a stack exchange question


(https://emacs.stackexchange.com/questions/41021/emacs-26-1-rc1-display-iss=
ues-over-ssh-x11-with-xming-vcxsrv)the issue might be related to the X-tool=
kit I'm using (GTK2). Does Emacs26 not support GTK2? The X server I use is =
MobaXterm 3.0 on Windows 7Enterprise. I cannot test with another X server.





The output of my `./configure --without-gnutls` is stored in a GitHubgist:


https://gist.github.com/halloleo/46808e9574f375f1e320f5e13c068296. Theoutpu=
t of the `make all` is in this gist:


https://gist.github.com/halloleo/c4a4ac53c047d972b6f7b91a0240167f





## Notes:





1. The build runs fine in a terminal via `src/emacs -Q -nw` (**That=E2=80=
=99s
   how I generated the bug report output below!**)


2. I have built Emacs 25 on the same machine and it runs successfullyover X=
11.





In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 2.24.23) of 2=
018-06-29 built on ACCRAD01


System Description: Oracle Linux Server release 6.9





Configured using:


 'configure --without-gnutls'





Configured features:


XPM JPEG TIFF GIF PNG SOUND GPM DBUS GCONF GSETTINGS NOTIFY LIBSELINUXLIBXM=
L2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11 THREADS





Important settings:


  value of $LANG: en_US.UTF-8


  locale-coding-system: utf-8-unix





Major mode: Lisp Interaction





Minor modes in effect:


  tooltip-mode: t


  global-eldoc-mode: t


  eldoc-mode: t


  electric-indent-mode: t


  mouse-wheel-mode: t


  tool-bar-mode: t


  menu-bar-mode: t


  file-name-shadow-mode: t


  global-font-lock-mode: t


  font-lock-mode: t


  auto-composition-mode: t


  auto-encryption-mode: t


  auto-compression-mode: t


  line-number-mode: t


  transient-mark-mode: t





Load-path shadows:


None found.





Features:


(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv


bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs


format-spec rfc822 mml easymenu mml-sec password-cache epa derived epgepg-c=
onfig gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encodemail-pars=
e rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047


rfc2045 ietf-drums mm-util mail-prsvr mail-utils term/xterm xterm


time-date elec-pair mule-util tooltip eldoc electric uniquify ediff-hookvc-=
hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dndtool-bar=
 dnd fontset image regexp-opt fringe tabulated-list replace


newcomment text-mode elisp-mode lisp-mode prog-mode register page


menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock


font-lock syntax facemenu font-core term/tty-colors frame cl-generic


cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet laokore=
an japanese eucjp-ms cp51932 hebrew greek romanian slovak czech


european ethiopic indian cyrillic chinese composite charscript charpropcase=
-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffercl-prelo=
aded nadvice loaddefs button faces cus-face macroexp files


text-properties overlay sha1 md5 base64 format env code-pages mule


custom widget hashtable-print-readable backquote dbusbind inotify


dynamic-setting system-font-setting font-render-setting move-toolbar gtkx-t=
oolkit x multi-tty make-network-process emacs)





Memory information:


((conses 16 97738 9072)


 (symbols 48 20313 2)


 (miscs 40 33 93)


 (strings 32 28225 1194)


 (string-bytes 1 746234)


 (vectors 16 12015)


 (vector-slots 8 446631 9182)


 (floats 8 53 260)


 (intervals 56 204 0)


 (buffers 992 11)


 (heap 1024 15148 697))




--_----------=_15304963543039150
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset="utf-8"

<!DOCTYPE html>
<html>
<head>
<title></title>
<style type=3D"text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style>
</head>
<body><p style=3D"margin: 0px; font-style: normal; font-variant-caps: norma=
l; font-weight: normal; font-stretch: normal; line-height: normal;"><span c=
lass=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D=
"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span=
 class=3D"size" style=3D"font-size:12pt">I just built Emacs 26.1 on Centos =
6 (RHEL 6.9). When I fire up the</span></span></span></span><br></p><p styl=
e=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weigh=
t: normal; font-stretch: normal; line-height: normal;"><span class=3D"font"=
 style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12=
px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"siz=
e" style=3D"font-size:12pt">executable with `src/emacs -Q` over X11 it show=
s an empty window with no</span></span></span></span><br></p><p style=3D"ma=
rgin: 0px; font-style: normal; font-variant-caps: normal; font-weight: norm=
al; font-stretch: normal; line-height: normal;"><span class=3D"font" style=
=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><s=
pan class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" sty=
le=3D"font-size:12pt">minibuffer. See the following screenshot:</span></spa=
n></span></span><br></p><p style=3D"margin: 0px; font-style: normal; font-v=
ariant-caps: normal; font-weight: normal; font-stretch: normal; line-height=
: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-famil=
y:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><a href=3D"https=
://i.stack.imgur.com/0Uf4m.png">https://i.stack.imgur.com/0Uf4m.png</a></sp=
an></span></span></span><br></p><p style=3D"margin: 0px; font-style: normal=
; font-variant-caps: normal; font-weight: normal; font-stretch: normal; lin=
e-height: normal; min-height: 13.8px;"><br></p><p style=3D"margin: 0px; fon=
t-style: normal; font-variant-caps: normal; font-weight: normal; font-stret=
ch: normal; line-height: normal;"><span class=3D"font" style=3D"font-family=
:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span class=3D"fo=
nt" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size=
:12pt">I built Emacs without `gnutls`, but that should be possible. Do I mi=
ss</span></span></span></span><br></p><p style=3D"margin: 0px; font-style: =
normal; font-variant-caps: normal; font-weight: normal; font-stretch: norma=
l; line-height: normal;"><span class=3D"font" style=3D"font-family:Helvetic=
a"><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=
=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt">an=
y essential libraries?</span></span></span></span><br></p><p style=3D"margi=
n: 0px; font-style: normal; font-variant-caps: normal; font-weight: normal;=
 font-stretch: normal; line-height: normal; min-height: 13.8px;"><br></p><p=
 style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-=
weight: normal; font-stretch: normal; line-height: normal;"><span class=3D"=
font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-si=
ze:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12pt">According to a stack exchange question</=
span></span></span></span><br></p><p style=3D"margin: 0px; font-style: norm=
al; font-variant-caps: normal; font-weight: normal; font-stretch: normal; l=
ine-height: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><=
span class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"=
font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt">(<a hr=
ef=3D"https://emacs.stackexchange.com/questions/41021/emacs-26-1-rc1-displa=
y-issues-over-ssh-x11-with-xming-vcxsrv">https://emacs.stackexchange.com/qu=
estions/41021/emacs-26-1-rc1-display-issues-over-ssh-x11-with-xming-vcxsrv<=
/a>)</span></span></span></span><br></p><p style=3D"margin: 0px; font-style=
: normal; font-variant-caps: normal; font-weight: normal; font-stretch: nor=
mal; line-height: normal;"><span class=3D"font" style=3D"font-family:Helvet=
ica"><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" sty=
le=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt">=
the issue might be related to the X-toolkit I'm using (GTK2). Does Emacs</s=
pan></span></span></span><br></p><p style=3D"margin: 0px; font-style: norma=
l; font-variant-caps: normal; font-weight: normal; font-stretch: normal; li=
ne-height: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><s=
pan class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"f=
ont-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt">26 not =
support GTK2? The X server I use is MobaXterm 3.0 on Windows 7</span></span=
></span></span><br></p><p style=3D"margin: 0px; font-style: normal; font-va=
riant-caps: normal; font-weight: normal; font-stretch: normal; line-height:=
 normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-famil=
y:Helvetica"><span class=3D"size" style=3D"font-size:12pt">Enterprise. I ca=
nnot test with another X server.</span></span></span></span><br></p><p styl=
e=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weigh=
t: normal; font-stretch: normal; line-height: normal; min-height: 13.8px;">=
<br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: nor=
mal; font-weight: normal; font-stretch: normal; line-height: normal;"><span=
 class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><s=
pan class=3D"size" style=3D"font-size:12pt">The output of my `./configure -=
-without-gnutls` is stored in a GitHub</span></span></span></span><br></p><=
p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font=
-weight: normal; font-stretch: normal; line-height: normal;"><span class=3D=
"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-s=
ize:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12pt">gist:</span></span></span></span><br></p=
><p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; fo=
nt-weight: normal; font-stretch: normal; line-height: normal;"><span class=
=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"fon=
t-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span cla=
ss=3D"size" style=3D"font-size:12pt"><a href=3D"https://gist.github.com/hal=
loleo/46808e9574f375f1e320f5e13c068296">https://gist.github.com/halloleo/46=
808e9574f375f1e320f5e13c068296</a>. The</span></span></span></span><br></p>=
<p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; fon=
t-weight: normal; font-stretch: normal; line-height: normal;"><span class=
=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"fon=
t-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span cla=
ss=3D"size" style=3D"font-size:12pt">output of the `make all` is in this gi=
st:</span></span></span></span><br></p><p style=3D"margin: 0px; font-style:=
 normal; font-variant-caps: normal; font-weight: normal; font-stretch: norm=
al; line-height: normal;"><span class=3D"font" style=3D"font-family:Helveti=
ca"><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" styl=
e=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><=
a href=3D"https://gist.github.com/halloleo/c4a4ac53c047d972b6f7b91a0240167f=
" class=3D"">https://gist.github.com/halloleo/c4a4ac53c047d972b6f7b91a02401=
67f</a></span></span></span></span><br></p><p style=3D"margin: 0px; font-st=
yle: normal; font-variant-caps: normal; font-weight: normal; font-stretch: =
normal; line-height: normal; min-height: 13.8px;"><br></p><p style=3D"margi=
n: 0px; font-style: normal; font-variant-caps: normal; font-weight: normal;=
 font-stretch: normal; line-height: normal;"><span class=3D"font" style=3D"=
font-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span =
class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12pt">## Notes:</span></span></span></span><br></p><p style=
=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weight=
: normal; font-stretch: normal; line-height: normal; min-height: 13.8px;"><=
br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: norm=
al; font-weight: normal; font-stretch: normal; line-height: normal;"><span =
class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><s=
pan class=3D"size" style=3D"font-size:12pt">1. The build runs fine in a ter=
minal via `src/emacs -Q -nw` (**That=E2=80=99s how I generated the bug repo=
rt output below!**)</span></span></span></span><br></p><p style=3D"margin: =
0px; font-style: normal; font-variant-caps: normal; font-weight: normal; fo=
nt-stretch: normal; line-height: normal; min-height: 13.8px;"><br></p><p st=
yle=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-wei=
ght: normal; font-stretch: normal; line-height: normal;"><span class=3D"fon=
t" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:=
12px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"s=
ize" style=3D"font-size:12pt">2. I have built Emacs 25 on the same machine =
and it runs successfully</span></span></span></span><br></p><p style=3D"mar=
gin: 0px; font-style: normal; font-variant-caps: normal; font-weight: norma=
l; font-stretch: normal; line-height: normal;"><span class=3D"font" style=
=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><s=
pan class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" sty=
le=3D"font-size:12pt">over X11.</span></span></span></span><br></p><p style=
=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weight=
: normal; font-stretch: normal; line-height: normal; min-height: 13.8px;"><=
br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: norm=
al; font-weight: normal; font-stretch: normal; line-height: normal;"><span =
class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><s=
pan class=3D"size" style=3D"font-size:12pt">In GNU Emacs 26.1 (build 1, x86=
_64-pc-linux-gnu, GTK+ Version 2.24.23)</span></span></span></span><br></p>=
<p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; fon=
t-weight: normal; font-stretch: normal; line-height: normal;"><span class=
=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"fon=
t-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span cla=
ss=3D"size" style=3D"font-size:12pt"><span class=3D"Apple-converted-space">=
&nbsp;</span>of 2018-06-29 built on ACCRAD01</span></span></span></span><br=
></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal=
; font-weight: normal; font-stretch: normal; line-height: normal;"><span cl=
ass=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"=
font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span =
class=3D"size" style=3D"font-size:12pt">System Description:<span style=3D"w=
hite-space:pre" class=3D"Apple-tab-span"> </span>Oracle Linux Server releas=
e 6.9</span></span></span></span><br></p><p style=3D"margin: 0px; font-styl=
e: normal; font-variant-caps: normal; font-weight: normal; font-stretch: no=
rmal; line-height: normal; min-height: 13.8px;"><br></p><p style=3D"margin:=
 0px; font-style: normal; font-variant-caps: normal; font-weight: normal; f=
ont-stretch: normal; line-height: normal;"><span class=3D"font" style=3D"fo=
nt-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span cl=
ass=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"=
font-size:12pt">Configured using:</span></span></span></span><br></p><p sty=
le=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weig=
ht: normal; font-stretch: normal; line-height: normal;"><span class=3D"font=
" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:1=
2px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"si=
ze" style=3D"font-size:12pt"><span class=3D"Apple-converted-space">&nbsp;</=
span>'configure --without-gnutls'</span></span></span></span><br></p><p sty=
le=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weig=
ht: normal; font-stretch: normal; line-height: normal; min-height: 13.8px;"=
><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: no=
rmal; font-weight: normal; font-stretch: normal; line-height: normal;"><spa=
n class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><s=
pan class=3D"size" style=3D"font-size:12pt">Configured features:</span></sp=
an></span></span><br></p><p style=3D"margin: 0px; font-style: normal; font-=
variant-caps: normal; font-weight: normal; font-stretch: normal; line-heigh=
t: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span clas=
s=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-fami=
ly:Helvetica"><span class=3D"size" style=3D"font-size:12pt">XPM JPEG TIFF G=
IF PNG SOUND GPM DBUS GCONF GSETTINGS NOTIFY LIBSELINUX</span></span></span=
></span><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-c=
aps: normal; font-weight: normal; font-stretch: normal; line-height: normal=
;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size=
" style=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvet=
ica"><span class=3D"size" style=3D"font-size:12pt">LIBXML2 FREETYPE XFT ZLI=
B TOOLKIT_SCROLL_BARS GTK2 X11 THREADS</span></span></span></span><br></p><=
p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font=
-weight: normal; font-stretch: normal; line-height: normal; min-height: 13.=
8px;"><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-cap=
s: normal; font-weight: normal; font-stretch: normal; line-height: normal;"=
><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" =
style=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetic=
a"><span class=3D"size" style=3D"font-size:12pt">Important settings:</span>=
</span></span></span><br></p><p style=3D"margin: 0px; font-style: normal; f=
ont-variant-caps: normal; font-weight: normal; font-stretch: normal; line-h=
eight: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span =
class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-=
family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><span class=
=3D"Apple-converted-space">&nbsp; </span>value of $LANG: en_US.UTF-8</span>=
</span></span></span><br></p><p style=3D"margin: 0px; font-style: normal; f=
ont-variant-caps: normal; font-weight: normal; font-stretch: normal; line-h=
eight: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span =
class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-=
family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><span class=
=3D"Apple-converted-space">&nbsp; </span>locale-coding-system: utf-8-unix</=
span></span></span></span><br></p><p style=3D"margin: 0px; font-style: norm=
al; font-variant-caps: normal; font-weight: normal; font-stretch: normal; l=
ine-height: normal; min-height: 13.8px;"><br></p><p style=3D"margin: 0px; f=
ont-style: normal; font-variant-caps: normal; font-weight: normal; font-str=
etch: normal; line-height: normal;"><span class=3D"font" style=3D"font-fami=
ly:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span class=3D"=
font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-si=
ze:12pt">Major mode: Lisp Interaction</span></span></span></span><br></p><p=
 style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-=
weight: normal; font-stretch: normal; line-height: normal; min-height: 13.8=
px;"><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps=
: normal; font-weight: normal; font-stretch: normal; line-height: normal;">=
<span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" s=
tyle=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica=
"><span class=3D"size" style=3D"font-size:12pt">Minor modes in effect:</spa=
n></span></span></span><br></p><p style=3D"margin: 0px; font-style: normal;=
 font-variant-caps: normal; font-weight: normal; font-stretch: normal; line=
-height: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><spa=
n class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"fon=
t-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><span cla=
ss=3D"Apple-converted-space">&nbsp; </span>tooltip-mode: t</span></span></s=
pan></span><br></p><p style=3D"margin: 0px; font-style: normal; font-varian=
t-caps: normal; font-weight: normal; font-stretch: normal; line-height: nor=
mal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"s=
ize" style=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Hel=
vetica"><span class=3D"size" style=3D"font-size:12pt"><span class=3D"Apple-=
converted-space">&nbsp; </span>global-eldoc-mode: t</span></span></span></s=
pan><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps:=
 normal; font-weight: normal; font-stretch: normal; line-height: normal;"><=
span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" st=
yle=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"=
><span class=3D"size" style=3D"font-size:12pt"><span class=3D"Apple-convert=
ed-space">&nbsp; </span>eldoc-mode: t</span></span></span></span><br></p><p=
 style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-=
weight: normal; font-stretch: normal; line-height: normal;"><span class=3D"=
font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-si=
ze:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12pt"><span class=3D"Apple-converted-space">&n=
bsp; </span>electric-indent-mode: t</span></span></span></span><br></p><p s=
tyle=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-we=
ight: normal; font-stretch: normal; line-height: normal;"><span class=3D"fo=
nt" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size=
:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"=
size" style=3D"font-size:12pt"><span class=3D"Apple-converted-space">&nbsp;=
 </span>mouse-wheel-mode: t</span></span></span></span><br></p><p style=3D"=
margin: 0px; font-style: normal; font-variant-caps: normal; font-weight: no=
rmal; font-stretch: normal; line-height: normal;"><span class=3D"font" styl=
e=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><=
span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" st=
yle=3D"font-size:12pt"><span class=3D"Apple-converted-space">&nbsp; </span>=
tool-bar-mode: t</span></span></span></span><br></p><p style=3D"margin: 0px=
; font-style: normal; font-variant-caps: normal; font-weight: normal; font-=
stretch: normal; line-height: normal;"><span class=3D"font" style=3D"font-f=
amily:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span class=
=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"fon=
t-size:12pt"><span class=3D"Apple-converted-space">&nbsp; </span>menu-bar-m=
ode: t</span></span></span></span><br></p><p style=3D"margin: 0px; font-sty=
le: normal; font-variant-caps: normal; font-weight: normal; font-stretch: n=
ormal; line-height: normal;"><span class=3D"font" style=3D"font-family:Helv=
etica"><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" s=
tyle=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt=
"><span class=3D"Apple-converted-space">&nbsp; </span>file-name-shadow-mode=
: t</span></span></span></span><br></p><p style=3D"margin: 0px; font-style:=
 normal; font-variant-caps: normal; font-weight: normal; font-stretch: norm=
al; line-height: normal;"><span class=3D"font" style=3D"font-family:Helveti=
ca"><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" styl=
e=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><=
span class=3D"Apple-converted-space">&nbsp; </span>global-font-lock-mode: t=
</span></span></span></span><br></p><p style=3D"margin: 0px; font-style: no=
rmal; font-variant-caps: normal; font-weight: normal; font-stretch: normal;=
 line-height: normal;"><span class=3D"font" style=3D"font-family:Helvetica"=
><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=
=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><s=
pan class=3D"Apple-converted-space">&nbsp; </span>font-lock-mode: t</span><=
/span></span></span><br></p><p style=3D"margin: 0px; font-style: normal; fo=
nt-variant-caps: normal; font-weight: normal; font-stretch: normal; line-he=
ight: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span c=
lass=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-f=
amily:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><span class=
=3D"Apple-converted-space">&nbsp; </span>auto-composition-mode: t</span></s=
pan></span></span><br></p><p style=3D"margin: 0px; font-style: normal; font=
-variant-caps: normal; font-weight: normal; font-stretch: normal; line-heig=
ht: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span cla=
ss=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-fam=
ily:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><span class=3D=
"Apple-converted-space">&nbsp; </span>auto-encryption-mode: t</span></span>=
</span></span><br></p><p style=3D"margin: 0px; font-style: normal; font-var=
iant-caps: normal; font-weight: normal; font-stretch: normal; line-height: =
normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-famil=
y:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><span class=3D"A=
pple-converted-space">&nbsp; </span>auto-compression-mode: t</span></span><=
/span></span><br></p><p style=3D"margin: 0px; font-style: normal; font-vari=
ant-caps: normal; font-weight: normal; font-stretch: normal; line-height: n=
ormal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D=
"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-family:H=
elvetica"><span class=3D"size" style=3D"font-size:12pt"><span class=3D"Appl=
e-converted-space">&nbsp; </span>line-number-mode: t</span></span></span></=
span><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps=
: normal; font-weight: normal; font-stretch: normal; line-height: normal;">=
<span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" s=
tyle=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica=
"><span class=3D"size" style=3D"font-size:12pt"><span class=3D"Apple-conver=
ted-space">&nbsp; </span>transient-mark-mode: t</span></span></span></span>=
<br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: nor=
mal; font-weight: normal; font-stretch: normal; line-height: normal; min-he=
ight: 13.8px;"><br></p><p style=3D"margin: 0px; font-style: normal; font-va=
riant-caps: normal; font-weight: normal; font-stretch: normal; line-height:=
 normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-famil=
y:Helvetica"><span class=3D"size" style=3D"font-size:12pt">Load-path shadow=
s:</span></span></span></span><br></p><p style=3D"margin: 0px; font-style: =
normal; font-variant-caps: normal; font-weight: normal; font-stretch: norma=
l; line-height: normal;"><span class=3D"font" style=3D"font-family:Helvetic=
a"><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=
=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt">No=
ne found.</span></span></span></span><br></p><p style=3D"margin: 0px; font-=
style: normal; font-variant-caps: normal; font-weight: normal; font-stretch=
: normal; line-height: normal; min-height: 13.8px;"><br></p><p style=3D"mar=
gin: 0px; font-style: normal; font-variant-caps: normal; font-weight: norma=
l; font-stretch: normal; line-height: normal;"><span class=3D"font" style=
=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><s=
pan class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" sty=
le=3D"font-size:12pt">Features:</span></span></span></span><br></p><p style=
=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weight=
: normal; font-stretch: normal; line-height: normal;"><span class=3D"font" =
style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12p=
x"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size=
" style=3D"font-size:12pt">(shadow sort mail-extr emacsbug message rmc puny=
 seq byte-opt gv</span></span></span></span><br></p><p style=3D"margin: 0px=
; font-style: normal; font-variant-caps: normal; font-weight: normal; font-=
stretch: normal; line-height: normal;"><span class=3D"font" style=3D"font-f=
amily:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span class=
=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"fon=
t-size:12pt">bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loa=
ddefs</span></span></span></span><br></p><p style=3D"margin: 0px; font-styl=
e: normal; font-variant-caps: normal; font-weight: normal; font-stretch: no=
rmal; line-height: normal;"><span class=3D"font" style=3D"font-family:Helve=
tica"><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" st=
yle=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"=
>format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg</sp=
an></span></span></span><br></p><p style=3D"margin: 0px; font-style: normal=
; font-variant-caps: normal; font-weight: normal; font-stretch: normal; lin=
e-height: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><sp=
an class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"fo=
nt-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt">epg-conf=
ig gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode</span></spa=
n></span></span><br></p><p style=3D"margin: 0px; font-style: normal; font-v=
ariant-caps: normal; font-weight: normal; font-stretch: normal; line-height=
: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-famil=
y:Helvetica"><span class=3D"size" style=3D"font-size:12pt">mail-parse rfc22=
31 mailabbrev gmm-utils mailheader sendmail rfc2047</span></span></span></s=
pan><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps:=
 normal; font-weight: normal; font-stretch: normal; line-height: normal;"><=
span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" st=
yle=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"=
><span class=3D"size" style=3D"font-size:12pt">rfc2045 ietf-drums mm-util m=
ail-prsvr mail-utils term/xterm xterm</span></span></span></span><br></p><p=
 style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-=
weight: normal; font-stretch: normal; line-height: normal;"><span class=3D"=
font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-si=
ze:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12pt">time-date elec-pair mule-util tooltip el=
doc electric uniquify ediff-hook</span></span></span></span><br></p><p styl=
e=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weigh=
t: normal; font-stretch: normal; line-height: normal;"><span class=3D"font"=
 style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12=
px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"siz=
e" style=3D"font-size:12pt">vc-hooks lisp-float-type mwheel term/x-win x-wi=
n term/common-win x-dnd</span></span></span></span><br></p><p style=3D"marg=
in: 0px; font-style: normal; font-variant-caps: normal; font-weight: normal=
; font-stretch: normal; line-height: normal;"><span class=3D"font" style=3D=
"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span=
 class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12pt">tool-bar dnd fontset image regexp-opt fringe tabulated-=
list replace</span></span></span></span><br></p><p style=3D"margin: 0px; fo=
nt-style: normal; font-variant-caps: normal; font-weight: normal; font-stre=
tch: normal; line-height: normal;"><span class=3D"font" style=3D"font-famil=
y:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span class=3D"f=
ont" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-siz=
e:12pt">newcomment text-mode elisp-mode lisp-mode prog-mode register page</=
span></span></span></span><br></p><p style=3D"margin: 0px; font-style: norm=
al; font-variant-caps: normal; font-weight: normal; font-stretch: normal; l=
ine-height: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><=
span class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"=
font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt">menu-b=
ar rfn-eshadow isearch timer select scroll-bar mouse jit-lock</span></span>=
</span></span><br></p><p style=3D"margin: 0px; font-style: normal; font-var=
iant-caps: normal; font-weight: normal; font-stretch: normal; line-height: =
normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-famil=
y:Helvetica"><span class=3D"size" style=3D"font-size:12pt">font-lock syntax=
 facemenu font-core term/tty-colors frame cl-generic</span></span></span></=
span><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps=
: normal; font-weight: normal; font-stretch: normal; line-height: normal;">=
<span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" s=
tyle=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica=
"><span class=3D"size" style=3D"font-size:12pt">cham georgian utf-8-lang mi=
sc-lang vietnamese tibetan thai tai-viet lao</span></span></span></span><br=
></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal=
; font-weight: normal; font-stretch: normal; line-height: normal;"><span cl=
ass=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"=
font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span =
class=3D"size" style=3D"font-size:12pt">korean japanese eucjp-ms cp51932 he=
brew greek romanian slovak czech</span></span></span></span><br></p><p styl=
e=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weigh=
t: normal; font-stretch: normal; line-height: normal;"><span class=3D"font"=
 style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12=
px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"siz=
e" style=3D"font-size:12pt">european ethiopic indian cyrillic chinese compo=
site charscript charprop</span></span></span></span><br></p><p style=3D"mar=
gin: 0px; font-style: normal; font-variant-caps: normal; font-weight: norma=
l; font-stretch: normal; line-height: normal;"><span class=3D"font" style=
=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><s=
pan class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" sty=
le=3D"font-size:12pt">case-table epa-hook jka-cmpr-hook help simple abbrev =
obarray minibuffer</span></span></span></span><br></p><p style=3D"margin: 0=
px; font-style: normal; font-variant-caps: normal; font-weight: normal; fon=
t-stretch: normal; line-height: normal;"><span class=3D"font" style=3D"font=
-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span clas=
s=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"fo=
nt-size:12pt">cl-preloaded nadvice loaddefs button faces cus-face macroexp =
files</span></span></span></span><br></p><p style=3D"margin: 0px; font-styl=
e: normal; font-variant-caps: normal; font-weight: normal; font-stretch: no=
rmal; line-height: normal;"><span class=3D"font" style=3D"font-family:Helve=
tica"><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" st=
yle=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"=
>text-properties overlay sha1 md5 base64 format env code-pages mule</span><=
/span></span></span><br></p><p style=3D"margin: 0px; font-style: normal; fo=
nt-variant-caps: normal; font-weight: normal; font-stretch: normal; line-he=
ight: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span c=
lass=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-f=
amily:Helvetica"><span class=3D"size" style=3D"font-size:12pt">custom widge=
t hashtable-print-readable backquote dbusbind inotify</span></span></span><=
/span><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-cap=
s: normal; font-weight: normal; font-stretch: normal; line-height: normal;"=
><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" =
style=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetic=
a"><span class=3D"size" style=3D"font-size:12pt">dynamic-setting system-fon=
t-setting font-render-setting move-toolbar gtk</span></span></span></span><=
br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: norm=
al; font-weight: normal; font-stretch: normal; line-height: normal;"><span =
class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><s=
pan class=3D"size" style=3D"font-size:12pt">x-toolkit x multi-tty make-netw=
ork-process emacs)</span></span></span></span><br></p><p style=3D"margin: 0=
px; font-style: normal; font-variant-caps: normal; font-weight: normal; fon=
t-stretch: normal; line-height: normal; min-height: 13.8px;"><br></p><p sty=
le=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weig=
ht: normal; font-stretch: normal; line-height: normal;"><span class=3D"font=
" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:1=
2px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"si=
ze" style=3D"font-size:12pt">Memory information:</span></span></span></span=
><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: no=
rmal; font-weight: normal; font-stretch: normal; line-height: normal;"><spa=
n class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><s=
pan class=3D"size" style=3D"font-size:12pt">((conses 16 97738 9072)</span><=
/span></span></span><br></p><p style=3D"margin: 0px; font-style: normal; fo=
nt-variant-caps: normal; font-weight: normal; font-stretch: normal; line-he=
ight: normal;"><span class=3D"font" style=3D"font-family:Helvetica"><span c=
lass=3D"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-f=
amily:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><span class=
=3D"Apple-converted-space">&nbsp;</span>(symbols 48 20313 2)</span></span><=
/span></span><br></p><p style=3D"margin: 0px; font-style: normal; font-vari=
ant-caps: normal; font-weight: normal; font-stretch: normal; line-height: n=
ormal;"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D=
"size" style=3D"font-size:12px"><span class=3D"font" style=3D"font-family:H=
elvetica"><span class=3D"size" style=3D"font-size:12pt"><span class=3D"Appl=
e-converted-space">&nbsp;</span>(miscs 40 33 93)</span></span></span></span=
><br></p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: no=
rmal; font-weight: normal; font-stretch: normal; line-height: normal;"><spa=
n class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=
=3D"font-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><s=
pan class=3D"size" style=3D"font-size:12pt"><span class=3D"Apple-converted-=
space">&nbsp;</span>(strings 32 28225 1194)</span></span></span></span><br>=
</p><p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal;=
 font-weight: normal; font-stretch: normal; line-height: normal;"><span cla=
ss=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"f=
ont-size:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span c=
lass=3D"size" style=3D"font-size:12pt"><span class=3D"Apple-converted-space=
">&nbsp;</span>(string-bytes 1 746234)</span></span></span></span><br></p><=
p style=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font=
-weight: normal; font-stretch: normal; line-height: normal;"><span class=3D=
"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-s=
ize:12px"><span class=3D"font" style=3D"font-family:Helvetica"><span class=
=3D"size" style=3D"font-size:12pt"><span class=3D"Apple-converted-space">&n=
bsp;</span>(vectors 16 12015)</span></span></span></span><br></p><p style=
=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weight=
: normal; font-stretch: normal; line-height: normal;"><span class=3D"font" =
style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12p=
x"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size=
" style=3D"font-size:12pt"><span class=3D"Apple-converted-space">&nbsp;</sp=
an>(vector-slots 8 446631 9182)</span></span></span></span><br></p><p style=
=3D"margin: 0px; font-style: normal; font-variant-caps: normal; font-weight=
: normal; font-stretch: normal; line-height: normal;"><span class=3D"font" =
style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12p=
x"><span class=3D"font" style=3D"font-family:Helvetica"><span class=3D"size=
" style=3D"font-size:12pt"><span class=3D"Apple-converted-space">&nbsp;</sp=
an>(floats 8 53 260)</span></span></span></span><br></p><p style=3D"margin:=
 0px; font-style: normal; font-variant-caps: normal; font-weight: normal; f=
ont-stretch: normal; line-height: normal;"><span class=3D"font" style=3D"fo=
nt-family:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span cl=
ass=3D"font" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"=
font-size:12pt"><span class=3D"Apple-converted-space">&nbsp;</span>(interva=
ls 56 204 0)</span></span></span></span><br></p><p style=3D"margin: 0px; fo=
nt-style: normal; font-variant-caps: normal; font-weight: normal; font-stre=
tch: normal; line-height: normal;"><span class=3D"font" style=3D"font-famil=
y:Helvetica"><span class=3D"size" style=3D"font-size:12px"><span class=3D"f=
ont" style=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-siz=
e:12pt"><span class=3D"Apple-converted-space">&nbsp;</span>(buffers 992 11)=
</span></span></span></span><br></p><p style=3D"margin: 0px; font-style: no=
rmal; font-variant-caps: normal; font-weight: normal; font-stretch: normal;=
 line-height: normal;"><span class=3D"font" style=3D"font-family:Helvetica"=
><span class=3D"size" style=3D"font-size:12px"><span class=3D"font" style=
=3D"font-family:Helvetica"><span class=3D"size" style=3D"font-size:12pt"><s=
pan class=3D"Apple-converted-space">&nbsp;</span>(heap 1024 15148 697))</sp=
an></span></span></span><br></p><div style=3D"font-family:Arial;"><br></div>
</body>
</html>

--_----------=_15304963543039150--





Acknowledgement sent to gnu_lists@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32032; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 21 Jul 2018 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.